# gstreamermm Enums and Flags

## Enumerations

enum | Gst::BaseAudioSinkSlaveMethod { Gst::BASE_AUDIO_SINK_SLAVE_RESAMPLE, Gst::BASE_AUDIO_SINK_SLAVE_SKEW, Gst::BASE_AUDIO_SINK_SLAVE_NONE }
enum | Gst::BaseAudioSrcSlaveMethod { Gst::BASE_AUDIO_SRC_SLAVE_RESAMPLE, Gst::BASE_AUDIO_SRC_SLAVE_RETIMESTAMP, Gst::BASE_AUDIO_SRC_SLAVE_SKEW, Gst::BASE_AUDIO_SRC_SLAVE_NONE }

enum

Gst::BufferFlag {
Gst::BUFFER_FLAG_READONLY = GST_MINI_OBJECT_FLAG_READONLY,
Gst::BUFFER_FLAG_PREROLL = (GST_MINI_OBJECT_FLAG_LAST << 0),
Gst::BUFFER_FLAG_DISCONT = (GST_MINI_OBJECT_FLAG_LAST << 1),
Gst::BUFFER_FLAG_IN_CAPS = (GST_MINI_OBJECT_FLAG_LAST << 2),
Gst::BUFFER_FLAG_GAP = (GST_MINI_OBJECT_FLAG_LAST << 3),
Gst::BUFFER_FLAG_DELTA_UNIT = (GST_MINI_OBJECT_FLAG_LAST << 4),
Gst::BUFFER_FLAG_MEDIA1 = (GST_MINI_OBJECT_FLAG_LAST << 5),
Gst::BUFFER_FLAG_MEDIA2 = (GST_MINI_OBJECT_FLAG_LAST << 6),
Gst::BUFFER_FLAG_MEDIA3 = (GST_MINI_OBJECT_FLAG_LAST << 7),
Gst::BUFFER_FLAG_LAST = (GST_MINI_OBJECT_FLAG_LAST << 8)
}

enum | Gst::BufferCopyFlags { Gst::BUFFER_COPY_FLAGS = (1 << 0), Gst::BUFFER_COPY_TIMESTAMPS = (1 << 1), Gst::BUFFER_COPY_CAPS = (1 << 2) }
enum | Gst::BufferListItem { Gst::BUFFER_LIST_CONTINUE, Gst::BUFFER_LIST_SKIP_GROUP, Gst::BUFFER_LIST_END }
enum | Gst::BusFlags { Gst::BUS_FLUSHING = (GST_OBJECT_FLAG_LAST << 0), Gst::BUS_FLAG_LAST = (GST_OBJECT_FLAG_LAST << 1) }
enum | Gst::BusSyncReply { Gst::BUS_DROP, Gst::BUS_PASS, Gst::BUS_ASYNC }
| The result values for a Gst::Bus::SlotMessageSync. More...
enum | Gst::CddaBaseSrcMode { Gst::CDDA_BASE_SRC_MODE_NORMAL, Gst::CDDA_BASE_SRC_MODE_CONTINUOUS }
enum | Gst::ClockEntryType { Gst::CLOCK_ENTRY_SINGLE, Gst::CLOCK_ENTRY_PERIODIC }
enum | Gst::ClockReturn { Gst::CLOCK_OK, Gst::CLOCK_EARLY, Gst::CLOCK_UNSCHEDULED, Gst::CLOCK_BUSY, Gst::CLOCK_BADTIME, Gst::CLOCK_ERROR, Gst::CLOCK_UNSUPPORTED }

enum

Gst::ClockFlags {
Gst::CLOCK_FLAG_CAN_DO_SINGLE_SYNC = (GST_OBJECT_FLAG_LAST << 0),
Gst::CLOCK_FLAG_CAN_DO_SINGLE_ASYNC = (GST_OBJECT_FLAG_LAST << 1),
Gst::CLOCK_FLAG_CAN_DO_PERIODIC_SYNC = (GST_OBJECT_FLAG_LAST << 2),
Gst::CLOCK_FLAG_CAN_DO_PERIODIC_ASYNC = (GST_OBJECT_FLAG_LAST << 3),
Gst::CLOCK_FLAG_CAN_SET_RESOLUTION = (GST_OBJECT_FLAG_LAST << 4),
Gst::CLOCK_FLAG_CAN_SET_MASTER = (GST_OBJECT_FLAG_LAST << 5),
Gst::CLOCK_FLAG_LAST = (GST_OBJECT_FLAG_LAST << 8)
}

enum | Gst::ColorBalanceType { Gst::COLOR_BALANCE_HARDWARE, Gst::COLOR_BALANCE_SOFTWARE }
enum | Gst::ElementFlags { Gst::ELEMENT_LOCKED_STATE = (GST_OBJECT_FLAG_LAST << 0), Gst::ELEMENT_IS_SINK = (GST_OBJECT_FLAG_LAST << 1), Gst::ELEMENT_UNPARENTING = (GST_OBJECT_FLAG_LAST << 2), Gst::ELEMENT_FLAG_LAST = (GST_OBJECT_FLAG_LAST << 16) }
enum | Gst::StateChangeReturn { Gst::STATE_CHANGE_FAILURE, Gst::STATE_CHANGE_SUCCESS, Gst::STATE_CHANGE_ASYNC, Gst::STATE_CHANGE_NO_PREROLL }
enum | Gst::MiniObjectFlags { Gst::MINI_OBJECT_FLAG_READONLY = (1<<0), Gst::MINI_OBJECT_FLAG_LAST = (1<<4) }
enum | Gst::State { Gst::STATE_VOID_PENDING, Gst::STATE_NULL, Gst::STATE_READY, Gst::STATE_PAUSED, Gst::STATE_PLAYING }
enum | Gst::AutoplugSelectResult { Gst::AUTOPLUG_SELECT_TRY, Gst::AUTOPLUG_SELECT_EXPOSE, Gst::AUTOPLUG_SELECT_SKIP }
enum | Gst::TCPProtocol { Gst::TCP_PROTOCOL_NONE, Gst::TCP_PROTOCOL_GDP }
enum | Gst::SeekType { Gst::SEEK_TYPE_NONE, Gst::SEEK_TYPE_CUR, Gst::SEEK_TYPE_SET, Gst::SEEK_TYPE_END }
enum | Gst::SeekFlags { Gst::SEEK_FLAG_NONE = 0x0, Gst::SEEK_FLAG_FLUSH = (1 << 0), Gst::SEEK_FLAG_ACCURATE = (1 << 1), Gst::SEEK_FLAG_KEY_UNIT = (1 << 2), Gst::SEEK_FLAG_SEGMENT = (1 << 3), Gst::SEEK_FLAG_SKIP = (1 << 4) }
enum | Gst::EventTypeFlags { Gst::EVENT_TYPE_UPSTREAM = 1 << 0, Gst::EVENT_TYPE_DOWNSTREAM = 1 << 1, Gst::EVENT_TYPE_SERIALIZED = 1 << 2 }
enum | Gst::Format { Gst::FORMAT_UNDEFINED, Gst::FORMAT_DEFAULT, Gst::FORMAT_BYTES, Gst::FORMAT_TIME, Gst::FORMAT_BUFFERS, Gst::FORMAT_PERCENT }
enum | Gst::IndexCertainty { Gst::INDEX_UNKNOWN, Gst::INDEX_CERTAIN, Gst::INDEX_FUZZY }
enum | Gst::IndexEntryType { Gst::INDEX_ENTRY_ID, Gst::INDEX_ENTRY_ASSOCIATION, Gst::INDEX_ENTRY_OBJECT, Gst::INDEX_ENTRY_FORMAT }
enum | Gst::IndexLookupMethod { Gst::INDEX_LOOKUP_EXACT, Gst::INDEX_LOOKUP_BEFORE, Gst::INDEX_LOOKUP_AFTER }
enum | Gst::AssocFlags { Gst::ASSOCIATION_FLAG_NONE = 0x0, Gst::ASSOCIATION_FLAG_KEY_UNIT = (1 << 0), Gst::ASSOCIATION_FLAG_DELTA_UNIT = (1 << 1), Gst::ASSOCIATION_FLAG_LAST = (1 << 8) }
enum | Gst::IndexResolverMethod { Gst::INDEX_RESOLVER_CUSTOM, Gst::INDEX_RESOLVER_GTYPE, Gst::INDEX_RESOLVER_PATH }
enum | Gst::IndexFlags { Gst::INDEX_WRITABLE = (GST_OBJECT_FLAG_LAST << 0), Gst::INDEX_READABLE = (GST_OBJECT_FLAG_LAST << 1), Gst::INDEX_FLAG_LAST = (GST_OBJECT_FLAG_LAST << 8) }
enum | Gst::IteratorItem { Gst::ITERATOR_ITEM_SKIP, Gst::ITERATOR_ITEM_PASS, Gst::ITERATOR_ITEM_END }
enum | Gst::IteratorResult { Gst::ITERATOR_DONE, Gst::ITERATOR_OK, Gst::ITERATOR_RESYNC, Gst::ITERATOR_ERROR }

enum

Gst::MessageType {
Gst::MESSAGE_UNKNOWN = 0x0,
Gst::MESSAGE_EOS = (1 << 0),
Gst::MESSAGE_ERROR = (1 << 1),
Gst::MESSAGE_WARNING = (1 << 2),
Gst::MESSAGE_INFO = (1 << 3),
Gst::MESSAGE_TAG = (1 << 4),
Gst::MESSAGE_BUFFERING = (1 << 5),
Gst::MESSAGE_STATE_CHANGED = (1 << 6),
Gst::MESSAGE_STATE_DIRTY = (1 << 7),
Gst::MESSAGE_STEP_DONE = (1 << 8),
Gst::MESSAGE_CLOCK_PROVIDE = (1 << 9),
Gst::MESSAGE_CLOCK_LOST = (1 << 10),
Gst::MESSAGE_NEW_CLOCK = (1 << 11),
Gst::MESSAGE_STRUCTURE_CHANGE = (1 << 12),
Gst::MESSAGE_STREAM_STATUS = (1 << 13),
Gst::MESSAGE_APPLICATION = (1 << 14),
Gst::MESSAGE_ELEMENT = (1 << 15),
Gst::MESSAGE_SEGMENT_START = (1 << 16),
Gst::MESSAGE_SEGMENT_DONE = (1 << 17),
Gst::MESSAGE_DURATION = (1 << 18),
Gst::MESSAGE_LATENCY = (1 << 19),
Gst::MESSAGE_ASYNC_START = (1 << 20),
Gst::MESSAGE_ASYNC_DONE = (1 << 21),
Gst::MESSAGE_REQUEST_STATE = (1 << 22),
Gst::MESSAGE_STEP_START = (1 << 23),
Gst::MESSAGE_ANY = 0x0
}

enum | Gst::StructureChangeType { Gst::STRUCTURE_CHANGE_TYPE_PAD_LINK, Gst::STRUCTURE_CHANGE_TYPE_PAD_UNLINK }
enum | Gst::StreamStatusType { Gst::STREAM_STATUS_TYPE_CREATE = 0, Gst::STREAM_STATUS_TYPE_ENTER = 1, Gst::STREAM_STATUS_TYPE_LEAVE = 2, Gst::STREAM_STATUS_TYPE_DESTROY = 3, Gst::STREAM_STATUS_TYPE_START = 8, Gst::STREAM_STATUS_TYPE_PAUSE = 9, Gst::STREAM_STATUS_TYPE_STOP = 10 }
enum | Gst::MixerType { Gst::MIXER_HARDWARE, Gst::MIXER_SOFTWARE }
enum | Gst::MixerFlags { Gst::MIXER_FLAG_NONE = 0x0, Gst::MIXER_FLAG_AUTO_NOTIFICATIONS = (1<<0), Gst::MIXER_FLAG_HAS_WHITELIST = (1<<1), Gst::MIXER_FLAG_GROUPING = (1<<2) }
enum | Gst::MixerMessageType { Gst::MIXER_MESSAGE_INVALID, Gst::MIXER_MESSAGE_MUTE_TOGGLED, Gst::MIXER_MESSAGE_RECORD_TOGGLED, Gst::MIXER_MESSAGE_VOLUME_CHANGED, Gst::MIXER_MESSAGE_OPTION_CHANGED, Gst::MIXER_MESSAGE_OPTIONS_LIST_CHANGED, Gst::MIXER_MESSAGE_MIXER_CHANGED }

enum

Gst::MixerTrackFlags {
Gst::MIXER_TRACK_INPUT = (1<<0),
Gst::MIXER_TRACK_OUTPUT = (1<<1),
Gst::MIXER_TRACK_MUTE = (1<<2),
Gst::MIXER_TRACK_RECORD = (1<<3),
Gst::MIXER_TRACK_MASTER = (1<<4),
Gst::MIXER_TRACK_SOFTWARE = (1<<5),
Gst::MIXER_TRACK_NO_RECORD = (1<<6),
Gst::MIXER_TRACK_NO_MUTE = (1<<7),
Gst::MIXER_TRACK_WHITELIST = (1<<8),
Gst::MIXER_TRACK_READONLY = (1<<9),
Gst::MIXER_TRACK_WRITEONLY = (1<<10)
}

enum

Gst::NavigationCommand {
Gst::NAVIGATION_COMMAND_INVALID = 0,
Gst::NAVIGATION_COMMAND_MENU1 = 1,
Gst::NAVIGATION_COMMAND_MENU2 = 2,
Gst::NAVIGATION_COMMAND_MENU3 = 3,
Gst::NAVIGATION_COMMAND_MENU4 = 4,
Gst::NAVIGATION_COMMAND_MENU5 = 5,
Gst::NAVIGATION_COMMAND_MENU6 = 6,
Gst::NAVIGATION_COMMAND_MENU7 = 7,
Gst::NAVIGATION_COMMAND_LEFT = 20,
Gst::NAVIGATION_COMMAND_RIGHT = 21,
Gst::NAVIGATION_COMMAND_UP = 22,
Gst::NAVIGATION_COMMAND_DOWN = 23,
Gst::NAVIGATION_COMMAND_ACTIVATE = 24,
Gst::NAVIGATION_COMMAND_PREV_ANGLE = 30,
Gst::NAVIGATION_COMMAND_NEXT_ANGLE = 31
}

enum | Gst::ObjectFlags { Gst::OBJECT_DISPOSING = (1<<0), Gst::OBJECT_FLOATING = (1<<1), Gst::OBJECT_FLAG_LAST = (1<<4) }
enum | Gst::PadDirection { Gst::PAD_UNKNOWN, Gst::PAD_SRC, Gst::PAD_SINK }
enum | Gst::PadFlags { Gst::PAD_BLOCKED = 0x10, Gst::PAD_FLUSHING = 0x20, Gst::PAD_IN_GETCAPS = 0x40, Gst::PAD_IN_SETCAPS = 0x80, Gst::PAD_BLOCKING = 0x100, Gst::PAD_FLAG_LAST = 0x1000 }
enum | Gst::PadLinkReturn { Gst::PAD_LINK_OK = 0, Gst::PAD_LINK_WRONG_HIERARCHY = -1, Gst::PAD_LINK_WAS_LINKED = -2, Gst::PAD_LINK_WRONG_DIRECTION = -3, Gst::PAD_LINK_NOFORMAT = -4, Gst::PAD_LINK_NOSCHED = -5, Gst::PAD_LINK_REFUSED = -6 }
enum | Gst::FlowReturn { Gst::FLOW_CUSTOM_SUCCESS = 100, Gst::FLOW_RESEND = 1, Gst::FLOW_OK = 0, Gst::FLOW_NOT_LINKED = -1, Gst::FLOW_WRONG_STATE = -2, Gst::FLOW_UNEXPECTED = -3, Gst::FLOW_NOT_NEGOTIATED = -4, Gst::FLOW_ERROR = -5, Gst::FLOW_NOT_SUPPORTED = -6, Gst::FLOW_CUSTOM_ERROR = -100 }
enum | Gst::ActivateMode { Gst::ACTIVATE_NONE, Gst::ACTIVATE_PUSH, Gst::ACTIVATE_PULL }
enum | Gst::PadTemplateFlags { Gst::PAD_TEMPLATE_FIXED = 0x10, Gst::PAD_TEMPLATE_FLAG_LAST = 0x100 }
enum | Gst::PadPresence { Gst::PAD_ALWAYS, Gst::PAD_SOMETIMES, Gst::PAD_REQUEST }
enum | Gst::Rank { Gst::RANK_NONE = 0, Gst::RANK_MARGINAL = 64, Gst::RANK_SECONDARY = 128, Gst::RANK_PRIMARY = 256 }
enum | Gst::PluginDependencyFlags { Gst::PLUGIN_DEPENDENCY_FLAG_NONE = 0x0, Gst::PLUGIN_DEPENDENCY_FLAG_RECURSE = (1 << 0), Gst::PLUGIN_DEPENDENCY_FLAG_PATHS_ARE_DEFAULT_ONLY = (1 << 1), Gst::PLUGIN_DEPENDENCY_FLAG_FILE_NAME_IS_SUFFIX = (1 << 2) }
enum | Gst::QueryType { Gst::QUERY_NONE, Gst::QUERY_POSITION, Gst::QUERY_DURATION, Gst::QUERY_LATENCY, Gst::QUERY_JITTER, Gst::QUERY_RATE, Gst::QUERY_SEEKING, Gst::QUERY_SEGMENT, Gst::QUERY_CONVERT, Gst::QUERY_FORMATS, Gst::QUERY_BUFFERING, Gst::QUERY_CUSTOM, Gst::QUERY_URI }
enum | Gst::BufferingMode { Gst::BUFFERING_STREAM, Gst::BUFFERING_DOWNLOAD, Gst::BUFFERING_TIMESHIFT, Gst::BUFFERING_LIVE }
enum | Gst::RingBufferSegState { Gst::SEGSTATE_INVALID, Gst::SEGSTATE_EMPTY, Gst::SEGSTATE_FILLED, Gst::SEGSTATE_PARTIAL }
enum | Gst::RingBufferState { Gst::RING_BUFFER_STATE_STOPPED, Gst::RING_BUFFER_STATE_PAUSED, Gst::RING_BUFFER_STATE_STARTED }

enum

Gst::BufferFormat {
Gst::UNKNOWN,
Gst::S8,
Gst::U8,
Gst::S16_LE,
Gst::S16_BE,
Gst::U16_LE,
Gst::U16_BE,
Gst::S24_LE,
Gst::S24_BE,
Gst::U24_LE,
Gst::U24_BE,
Gst::S32_LE,
Gst::S32_BE,
Gst::U32_LE,
Gst::U32_BE,
Gst::S24_3LE,
Gst::S24_3BE,
Gst::U24_3LE,
Gst::U24_3BE,
Gst::S20_3LE,
Gst::S20_3BE,
Gst::U20_3LE,
Gst::U20_3BE,
Gst::S18_3LE,
Gst::S18_3BE,
Gst::U18_3LE,
Gst::U18_3BE,
Gst::FLOAT32_LE,
Gst::FLOAT32_BE,
Gst::FLOAT64_LE,
Gst::FLOAT64_BE,
Gst::MU_LAW,
Gst::A_LAW,
Gst::IMA_ADPCM,
Gst::MPEG,
Gst::GSM,
Gst::IEC958,
Gst::AC3,
Gst::EAC3,
Gst::DTS
}

enum | Gst::BufferFormatType { Gst::BUFTYPE_LINEAR, Gst::BUFTYPE_FLOAT, Gst::BUFTYPE_MU_LAW, Gst::BUFTYPE_A_LAW, Gst::BUFTYPE_IMA_ADPCM, Gst::BUFTYPE_MPEG, Gst::BUFTYPE_GSM, Gst::BUFTYPE_IEC958, Gst::BUFTYPE_AC3, Gst::BUFTYPE_EAC3, Gst::BUFTYPE_DTS }
enum | Gst::StreamVolumeFormat { Gst::STREAM_VOLUME_FORMAT_LINEAR, Gst::STREAM_VOLUME_FORMAT_CUBIC, Gst::STREAM_VOLUME_FORMAT_DB }
enum | Gst::TagMergeMode { Gst::TAG_MERGE_UNDEFINED, Gst::TAG_MERGE_REPLACE_ALL, Gst::TAG_MERGE_REPLACE, Gst::TAG_MERGE_APPEND, Gst::TAG_MERGE_PREPEND, Gst::TAG_MERGE_KEEP, Gst::TAG_MERGE_KEEP_ALL, Gst::TAG_MERGE_COUNT }
enum | Gst::TagFlag { Gst::TAG_FLAG_UNDEFINED, Gst::TAG_FLAG_META, Gst::TAG_FLAG_ENCODED, Gst::TAG_FLAG_DECODED, Gst::TAG_FLAG_COUNT }
enum | Gst::TaskState { Gst::TASK_STARTED, Gst::TASK_STOPPED, Gst::TASK_PAUSED }
enum | Gst::TunerChannelFlags { Gst::TUNER_CHANNEL_INPUT = (1<<0), Gst::TUNER_CHANNEL_OUTPUT = (1<<1), Gst::TUNER_CHANNEL_FREQUENCY = (1<<2), Gst::TUNER_CHANNEL_AUDIO = (1<<3) }
enum | Gst::TypeFindProbability { Gst::TYPE_FIND_MINIMUM = 1, Gst::TYPE_FIND_POSSIBLE = 50, Gst::TYPE_FIND_LIKELY = 80, Gst::TYPE_FIND_NEARLY_CERTAIN = 99, Gst::TYPE_FIND_MAXIMUM = 100 }
enum | Gst::URIType { Gst::URI_UNKNOWN, Gst::URI_SINK, Gst::URI_SRC }
enum | Gst::AudioConvertDithering { Gst::AUDIO_CONVERT_DITHER_NONE, Gst::AUDIO_CONVERT_DITHER_RPDF, Gst::AUDIO_CONVERT_DITHER_TPDF, Gst::AUDIO_CONVERT_DITHER_TPDF_HF }
enum | Gst::AudioConvertNoiseShaping { Gst::AUDIO_CONVERT_NOISE_SHAPING_NONE, Gst::AUDIO_CONVERT_NOISE_SHAPING_ERROR_FEEDBACK, Gst::AUDIO_CONVERT_NOISE_SHAPING_SIMPLE, Gst::AUDIO_CONVERT_NOISE_SHAPING_MEDIUM, Gst::AUDIO_CONVERT_NOISE_SHAPING_HIGH }
enum | Gst::AudioTestSrcWave { Gst::AUDIO_TEST_SRC_WAVE_SINE, Gst::AUDIO_TEST_SRC_WAVE_SQUARE, Gst::AUDIO_TEST_SRC_WAVE_SAW, Gst::AUDIO_TEST_SRC_WAVE_TRIANGLE, Gst::AUDIO_TEST_SRC_WAVE_SILENCE, Gst::AUDIO_TEST_SRC_WAVE_WHITE_NOISE, Gst::AUDIO_TEST_SRC_WAVE_PINK_NOISE, Gst::AUDIO_TEST_SRC_WAVE_SINE_TAB, Gst::AUDIO_TEST_SRC_WAVE_TICKS, Gst::AUDIO_TEST_SRC_WAVE_GAUSSIAN_WHITE_NOISE }
enum | Gst::CdParanoiaMode { Gst::PARANOIA_MODE_DISABLE = 1<<0, Gst::PARANOIA_MODE_FRAGMENT = 1<<1, Gst::PARANOIA_MODE_OVERLAP = 1<<2, Gst::PARANOIA_MODE_SCRATCH = 1<<3, Gst::PARANOIA_MODE_REPAIR = 1<<4, Gst::PARANOIA_MODE_FULL = 0xff }
enum | Gst::FakeSinkStateError { Gst::FAKE_SINK_STATE_ERROR_NONE, Gst::FAKE_SINK_STATE_ERROR_NULL_READY, Gst::FAKE_SINK_STATE_ERROR_READY_PAUSED, Gst::FAKE_SINK_STATE_ERROR_PAUSED_PLAYING, Gst::FAKE_SINK_STATE_ERROR_PLAYING_PAUSED, Gst::FAKE_SINK_STATE_ERROR_PAUSED_READY, Gst::FAKE_SINK_STATE_ERROR_READY_NULL }
enum | Gst::FakeSrcDataType { Gst::FAKE_SRC_DATA_ALLOCATE = 1, Gst::FAKE_SRC_DATA_SUBBUFFER }
enum | Gst::FakeSrcSizeType { Gst::FAKE_SRC_SIZETYPE_EMPTY = 1, Gst::FAKE_SRC_SIZETYPE_FIXED, Gst::FAKE_SRC_SIZETYPE_RANDOM }
enum | Gst::FakeSrcFillType { Gst::FAKE_SRC_FILLTYPE_NOTHING = 1, Gst::FAKE_SRC_FILLTYPE_ZERO, Gst::FAKE_SRC_FILLTYPE_RANDOM, Gst::FAKE_SRC_FILLTYPE_PATTERN, Gst::FAKE_SRC_FILLTYPE_PATTERN_CONT }
enum | Gst::FileSinkBufferMode { Gst::FILE_SINK_BUFFER_MODE_DEFAULT = -1, Gst::FILE_SINK_BUFFER_MODE_FULL, Gst::FILE_SINK_BUFFER_MODE_LINE, Gst::FILE_SINK_BUFFER_MODE_UNBUFFERED }
enum | Gst::DPVersion { Gst::DP_VERSION_0_2 = 1, Gst::DP_VERSION_1_0 }
enum | Gst::FDSetMode { Gst::FD_SET_MODE_SELECT, Gst::FD_SET_MODE_POLL, Gst::FD_SET_MODE_EPOLL }
enum | Gst::TCPUnitType { Gst::TCP_UNIT_TYPE_UNDEFINED, Gst::TCP_UNIT_TYPE_BUFFERS, Gst::TCP_UNIT_TYPE_TIME, Gst::TCP_UNIT_TYPE_BYTES }
enum | Gst::RecoverPolicy { Gst::RECOVER_POLICY_NONE, Gst::RECOVER_POLICY_RESYNC_LATEST, Gst::RECOVER_POLICY_RESYNC_SOFT_LIMIT, Gst::RECOVER_POLICY_RESYNC_KEYFRAME }
enum | Gst::SyncMethod { Gst::SYNC_METHOD_LATEST, Gst::SYNC_METHOD_NEXT_KEYFRAME, Gst::SYNC_METHOD_LATEST_KEYFRAME, Gst::SYNC_METHOD_BURST, Gst::SYNC_METHOD_BURST_KEYFRAME, Gst::SYNC_METHOD_BURST_WITH_KEYFRAME }
enum | Gst::ClientStatus { Gst::CLIENT_STATUS_OK, Gst::CLIENT_STATUS_CLOSED, Gst::CLIENT_STATUS_REMOVED, Gst::CLIENT_STATUS_SLOW, Gst::CLIENT_STATUS_ERROR, Gst::CLIENT_STATUS_DUPLICATE, Gst::CLIENT_STATUS_FLUSHING }
enum | Gst::PlayFlags { Gst::PLAY_FLAG_VIDEO = (1 << 0), Gst::PLAY_FLAG_AUDIO = (1 << 1), Gst::PLAY_FLAG_TEXT = (1 << 2), Gst::PLAY_FLAG_VIS = (1 << 3), Gst::PLAY_FLAG_SOFT_VOLUME = (1 << 4), Gst::PLAY_FLAG_NATIVE_AUDIO = (1 << 5), Gst::PLAY_FLAG_NATIVE_VIDEO = (1 << 6), Gst::PLAY_FLAG_DOWNLOAD = (1 << 7), Gst::PLAY_FLAG_BUFFERING = (1 << 8) }
enum | Gst::QueueLeaky { Gst::QUEUE_LEAKY_NONE, Gst::QUEUE_LEAKY_UPSTREAM, Gst::QUEUE_LEAKY_DOWNSTREAM }
enum | Gst::TeePullMode { Gst::TEE_PULL_MODE_NEVER, Gst::TEE_PULL_MODE_SINGLE }
enum | Gst::TextOverlayHAlign { Gst::TEXT_OVERLAY_HALIGN_LEFT, Gst::TEXT_OVERLAY_HALIGN_CENTER, Gst::TEXT_OVERLAY_HALIGN_RIGHT }
enum | Gst::TextOverlayVAlign { Gst::TEXT_OVERLAY_VALIGN_BASELINE, Gst::TEXT_OVERLAY_VALIGN_BOTTOM, Gst::TEXT_OVERLAY_VALIGN_TOP }
enum | Gst::TextOverlayWrapMode { Gst::TEXT_OVERLAY_WRAP_MODE_NONE = -1, Gst::TEXT_OVERLAY_WRAP_MODE_WORD, Gst::TEXT_OVERLAY_WRAP_MODE_CHAR, Gst::TEXT_OVERLAY_WRAP_MODE_WORD_CHAR }
enum | Gst::TextOverlayLineAlign { Gst::TEXT_OVERLAY_LINE_ALIGN_LEFT = 0, Gst::TEXT_OVERLAY_LINE_ALIGN_CENTER = 1, Gst::TEXT_OVERLAY_LINE_ALIGN_RIGHT = 2 }
enum | Gst::TextRenderHAlign { Gst::TEXT_RENDER_HALIGN_LEFT, Gst::TEXT_RENDER_HALIGN_CENTER, Gst::TEXT_RENDER_HALIGN_RIGHT }
enum | Gst::TextRenderVAlign { Gst::TEXT_RENDER_VALIGN_BASELINE, Gst::TEXT_RENDER_VALIGN_BOTTOM, Gst::TEXT_RENDER_VALIGN_TOP }
enum | Gst::TextRenderLineAlign { Gst::TEXT_RENDER_LINE_ALIGN_LEFT = 0, Gst::TEXT_RENDER_LINE_ALIGN_CENTER = 1, Gst::TEXT_RENDER_LINE_ALIGN_RIGHT = 2 }
enum | Gst::TheoraEncBorderMode { Gst::THEORA_ENC_BORDER_NONE, Gst::THEORA_ENC_BORDER_BLACK, Gst::THEORA_ENC_BORDER_MIRROR }
enum | Gst::VideoScaleMethod { Gst::VIDEO_SCALE_NEAREST, Gst::VIDEO_SCALE_BILINEAR, Gst::VIDEO_SCALE_4TAP }

enum

Gst::VideoTestSrcPattern {
Gst::VIDEO_TEST_SRC_SMPTE,
Gst::VIDEO_TEST_SRC_SNOW,
Gst::VIDEO_TEST_SRC_BLACK,
Gst::VIDEO_TEST_SRC_WHITE,
Gst::VIDEO_TEST_SRC_RED,
Gst::VIDEO_TEST_SRC_GREEN,
Gst::VIDEO_TEST_SRC_BLUE,
Gst::VIDEO_TEST_SRC_CHECKERS1,
Gst::VIDEO_TEST_SRC_CHECKERS2,
Gst::VIDEO_TEST_SRC_CHECKERS4,
Gst::VIDEO_TEST_SRC_CHECKERS8,
Gst::VIDEO_TEST_SRC_CIRCULAR,
Gst::VIDEO_TEST_SRC_BLINK,
Gst::VIDEO_TEST_SRC_SMPTE75,
Gst::VIDEO_TEST_SRC_ZONE_PLATE,
Gst::VIDEO_TEST_SRC_GAMUT
}

enum | Gst::VideoTestSrcColorSpec { Gst::VIDEO_TEST_SRC_BT601, Gst::VIDEO_TEST_SRC_BT709 }

## Functions

BufferFlag | Gst::operator| (BufferFlag lhs, BufferFlag rhs)
BufferFlag | Gst::operator& (BufferFlag lhs, BufferFlag rhs)
BufferFlag | Gst::operator^ (BufferFlag lhs, BufferFlag rhs)
BufferFlag | Gst::operator~ (BufferFlag flags)
BufferFlag& | Gst::operator|= (BufferFlag& lhs, BufferFlag rhs)
BufferFlag& | Gst::operator&= (BufferFlag& lhs, BufferFlag rhs)
BufferFlag& | Gst::operator^= (BufferFlag& lhs, BufferFlag rhs)
BufferCopyFlags | Gst::operator| (BufferCopyFlags lhs, BufferCopyFlags rhs)
BufferCopyFlags | Gst::operator& (BufferCopyFlags lhs, BufferCopyFlags rhs)
BufferCopyFlags | Gst::operator^ (BufferCopyFlags lhs, BufferCopyFlags rhs)
BufferCopyFlags | Gst::operator~ (BufferCopyFlags flags)
BufferCopyFlags& | Gst::operator|= (BufferCopyFlags& lhs, BufferCopyFlags rhs)
BufferCopyFlags& | Gst::operator&= (BufferCopyFlags& lhs, BufferCopyFlags rhs)
BufferCopyFlags& | Gst::operator^= (BufferCopyFlags& lhs, BufferCopyFlags rhs)
BusFlags | Gst::operator| (BusFlags lhs, BusFlags rhs)
BusFlags | Gst::operator& (BusFlags lhs, BusFlags rhs)
BusFlags | Gst::operator^ (BusFlags lhs, BusFlags rhs)
BusFlags | Gst::operator~ (BusFlags flags)
BusFlags& | Gst::operator|= (BusFlags& lhs, BusFlags rhs)
BusFlags& | Gst::operator&= (BusFlags& lhs, BusFlags rhs)
BusFlags& | Gst::operator^= (BusFlags& lhs, BusFlags rhs)
ClockFlags | Gst::operator| (ClockFlags lhs, ClockFlags rhs)
ClockFlags | Gst::operator& (ClockFlags lhs, ClockFlags rhs)
ClockFlags | Gst::operator^ (ClockFlags lhs, ClockFlags rhs)
ClockFlags | Gst::operator~ (ClockFlags flags)
ClockFlags& | Gst::operator|= (ClockFlags& lhs, ClockFlags rhs)
ClockFlags& | Gst::operator&= (ClockFlags& lhs, ClockFlags rhs)
ClockFlags& | Gst::operator^= (ClockFlags& lhs, ClockFlags rhs)
ElementFlags | Gst::operator| (ElementFlags lhs, ElementFlags rhs)
ElementFlags | Gst::operator& (ElementFlags lhs, ElementFlags rhs)
ElementFlags | Gst::operator^ (ElementFlags lhs, ElementFlags rhs)
ElementFlags | Gst::operator~ (ElementFlags flags)
ElementFlags& | Gst::operator|= (ElementFlags& lhs, ElementFlags rhs)
ElementFlags& | Gst::operator&= (ElementFlags& lhs, ElementFlags rhs)
ElementFlags& | Gst::operator^= (ElementFlags& lhs, ElementFlags rhs)
MiniObjectFlags | Gst::operator| (MiniObjectFlags lhs, MiniObjectFlags rhs)
MiniObjectFlags | Gst::operator& (MiniObjectFlags lhs, MiniObjectFlags rhs)
MiniObjectFlags | Gst::operator^ (MiniObjectFlags lhs, MiniObjectFlags rhs)
MiniObjectFlags | Gst::operator~ (MiniObjectFlags flags)
MiniObjectFlags& | Gst::operator|= (MiniObjectFlags& lhs, MiniObjectFlags rhs)
MiniObjectFlags& | Gst::operator&= (MiniObjectFlags& lhs, MiniObjectFlags rhs)
MiniObjectFlags& | Gst::operator^= (MiniObjectFlags& lhs, MiniObjectFlags rhs)
SeekFlags | Gst::operator| (SeekFlags lhs, SeekFlags rhs)
SeekFlags | Gst::operator& (SeekFlags lhs, SeekFlags rhs)
SeekFlags | Gst::operator^ (SeekFlags lhs, SeekFlags rhs)
SeekFlags | Gst::operator~ (SeekFlags flags)
SeekFlags& | Gst::operator|= (SeekFlags& lhs, SeekFlags rhs)
SeekFlags& | Gst::operator&= (SeekFlags& lhs, SeekFlags rhs)
SeekFlags& | Gst::operator^= (SeekFlags& lhs, SeekFlags rhs)
EventTypeFlags | Gst::operator| (EventTypeFlags lhs, EventTypeFlags rhs)
EventTypeFlags | Gst::operator& (EventTypeFlags lhs, EventTypeFlags rhs)
EventTypeFlags | Gst::operator^ (EventTypeFlags lhs, EventTypeFlags rhs)
EventTypeFlags | Gst::operator~ (EventTypeFlags flags)
EventTypeFlags& | Gst::operator|= (EventTypeFlags& lhs, EventTypeFlags rhs)
EventTypeFlags& | Gst::operator&= (EventTypeFlags& lhs, EventTypeFlags rhs)
EventTypeFlags& | Gst::operator^= (EventTypeFlags& lhs, EventTypeFlags rhs)
AssocFlags | Gst::operator| (AssocFlags lhs, AssocFlags rhs)
AssocFlags | Gst::operator& (AssocFlags lhs, AssocFlags rhs)
AssocFlags | Gst::operator^ (AssocFlags lhs, AssocFlags rhs)
AssocFlags | Gst::operator~ (AssocFlags flags)
AssocFlags& | Gst::operator|= (AssocFlags& lhs, AssocFlags rhs)
AssocFlags& | Gst::operator&= (AssocFlags& lhs, AssocFlags rhs)
AssocFlags& | Gst::operator^= (AssocFlags& lhs, AssocFlags rhs)
IndexFlags | Gst::operator| (IndexFlags lhs, IndexFlags rhs)
IndexFlags | Gst::operator& (IndexFlags lhs, IndexFlags rhs)
IndexFlags | Gst::operator^ (IndexFlags lhs, IndexFlags rhs)
IndexFlags | Gst::operator~ (IndexFlags flags)
IndexFlags& | Gst::operator|= (IndexFlags& lhs, IndexFlags rhs)
IndexFlags& | Gst::operator&= (IndexFlags& lhs, IndexFlags rhs)
IndexFlags& | Gst::operator^= (IndexFlags& lhs, IndexFlags rhs)
MessageType | Gst::operator| (MessageType lhs, MessageType rhs)
MessageType | Gst::operator& (MessageType lhs, MessageType rhs)
MessageType | Gst::operator^ (MessageType lhs, MessageType rhs)
MessageType | Gst::operator~ (MessageType flags)
MessageType& | Gst::operator|= (MessageType& lhs, MessageType rhs)
MessageType& | Gst::operator&= (MessageType& lhs, MessageType rhs)
MessageType& | Gst::operator^= (MessageType& lhs, MessageType rhs)
MixerFlags | Gst::operator| (MixerFlags lhs, MixerFlags rhs)
MixerFlags | Gst::operator& (MixerFlags lhs, MixerFlags rhs)
MixerFlags | Gst::operator^ (MixerFlags lhs, MixerFlags rhs)
MixerFlags | Gst::operator~ (MixerFlags flags)
MixerFlags& | Gst::operator|= (MixerFlags& lhs, MixerFlags rhs)
MixerFlags& | Gst::operator&= (MixerFlags& lhs, MixerFlags rhs)
MixerFlags& | Gst::operator^= (MixerFlags& lhs, MixerFlags rhs)
MixerTrackFlags | Gst::operator| (MixerTrackFlags lhs, MixerTrackFlags rhs)
MixerTrackFlags | Gst::operator& (MixerTrackFlags lhs, MixerTrackFlags rhs)
MixerTrackFlags | Gst::operator^ (MixerTrackFlags lhs, MixerTrackFlags rhs)
MixerTrackFlags | Gst::operator~ (MixerTrackFlags flags)
MixerTrackFlags& | Gst::operator|= (MixerTrackFlags& lhs, MixerTrackFlags rhs)
MixerTrackFlags& | Gst::operator&= (MixerTrackFlags& lhs, MixerTrackFlags rhs)
MixerTrackFlags& | Gst::operator^= (MixerTrackFlags& lhs, MixerTrackFlags rhs)
ObjectFlags | Gst::operator| (ObjectFlags lhs, ObjectFlags rhs)
ObjectFlags | Gst::operator& (ObjectFlags lhs, ObjectFlags rhs)
ObjectFlags | Gst::operator^ (ObjectFlags lhs, ObjectFlags rhs)
ObjectFlags | Gst::operator~ (ObjectFlags flags)
ObjectFlags& | Gst::operator|= (ObjectFlags& lhs, ObjectFlags rhs)
ObjectFlags& | Gst::operator&= (ObjectFlags& lhs, ObjectFlags rhs)
ObjectFlags& | Gst::operator^= (ObjectFlags& lhs, ObjectFlags rhs)
PadFlags | Gst::operator| (PadFlags lhs, PadFlags rhs)
PadFlags | Gst::operator& (PadFlags lhs, PadFlags rhs)
PadFlags | Gst::operator^ (PadFlags lhs, PadFlags rhs)
PadFlags | Gst::operator~ (PadFlags flags)
PadFlags& | Gst::operator|= (PadFlags& lhs, PadFlags rhs)
PadFlags& | Gst::operator&= (PadFlags& lhs, PadFlags rhs)
PadFlags& | Gst::operator^= (PadFlags& lhs, PadFlags rhs)
PadTemplateFlags | Gst::operator| (PadTemplateFlags lhs, PadTemplateFlags rhs)
PadTemplateFlags | Gst::operator& (PadTemplateFlags lhs, PadTemplateFlags rhs)
PadTemplateFlags | Gst::operator^ (PadTemplateFlags lhs, PadTemplateFlags rhs)
PadTemplateFlags | Gst::operator~ (PadTemplateFlags flags)
PadTemplateFlags& | Gst::operator|= (PadTemplateFlags& lhs, PadTemplateFlags rhs)
PadTemplateFlags& | Gst::operator&= (PadTemplateFlags& lhs, PadTemplateFlags rhs)
PadTemplateFlags& | Gst::operator^= (PadTemplateFlags& lhs, PadTemplateFlags rhs)
PluginDependencyFlags | Gst::operator| (PluginDependencyFlags lhs, PluginDependencyFlags rhs)
PluginDependencyFlags | Gst::operator& (PluginDependencyFlags lhs, PluginDependencyFlags rhs)
PluginDependencyFlags | Gst::operator^ (PluginDependencyFlags lhs, PluginDependencyFlags rhs)
PluginDependencyFlags | Gst::operator~ (PluginDependencyFlags flags)
PluginDependencyFlags& | Gst::operator|= (PluginDependencyFlags& lhs, PluginDependencyFlags rhs)
PluginDependencyFlags& | Gst::operator&= (PluginDependencyFlags& lhs, PluginDependencyFlags rhs)
PluginDependencyFlags& | Gst::operator^= (PluginDependencyFlags& lhs, PluginDependencyFlags rhs)
TunerChannelFlags | Gst::operator| (TunerChannelFlags lhs, TunerChannelFlags rhs)
TunerChannelFlags | Gst::operator& (TunerChannelFlags lhs, TunerChannelFlags rhs)
TunerChannelFlags | Gst::operator^ (TunerChannelFlags lhs, TunerChannelFlags rhs)
TunerChannelFlags | Gst::operator~ (TunerChannelFlags flags)
TunerChannelFlags& | Gst::operator|= (TunerChannelFlags& lhs, TunerChannelFlags rhs)
TunerChannelFlags& | Gst::operator&= (TunerChannelFlags& lhs, TunerChannelFlags rhs)
TunerChannelFlags& | Gst::operator^= (TunerChannelFlags& lhs, TunerChannelFlags rhs)
PlayFlags | Gst::operator| (PlayFlags lhs, PlayFlags rhs)
PlayFlags | Gst::operator& (PlayFlags lhs, PlayFlags rhs)
PlayFlags | Gst::operator^ (PlayFlags lhs, PlayFlags rhs)
PlayFlags | Gst::operator~ (PlayFlags flags)
PlayFlags& | Gst::operator|= (PlayFlags& lhs, PlayFlags rhs)
PlayFlags& | Gst::operator&= (PlayFlags& lhs, PlayFlags rhs)
PlayFlags& | Gst::operator^= (PlayFlags& lhs, PlayFlags rhs)
TextOverlayLineAlign | Gst::operator| (TextOverlayLineAlign lhs, TextOverlayLineAlign rhs)
TextOverlayLineAlign | Gst::operator& (TextOverlayLineAlign lhs, TextOverlayLineAlign rhs)
TextOverlayLineAlign | Gst::operator^ (TextOverlayLineAlign lhs, TextOverlayLineAlign rhs)
TextOverlayLineAlign | Gst::operator~ (TextOverlayLineAlign flags)
TextOverlayLineAlign& | Gst::operator|= (TextOverlayLineAlign& lhs, TextOverlayLineAlign rhs)
TextOverlayLineAlign& | Gst::operator&= (TextOverlayLineAlign& lhs, TextOverlayLineAlign rhs)
TextOverlayLineAlign& | Gst::operator^= (TextOverlayLineAlign& lhs, TextOverlayLineAlign rhs)
TextRenderLineAlign | Gst::operator| (TextRenderLineAlign lhs, TextRenderLineAlign rhs)
TextRenderLineAlign | Gst::operator& (TextRenderLineAlign lhs, TextRenderLineAlign rhs)
TextRenderLineAlign | Gst::operator^ (TextRenderLineAlign lhs, TextRenderLineAlign rhs)
TextRenderLineAlign | Gst::operator~ (TextRenderLineAlign flags)
TextRenderLineAlign& | Gst::operator|= (TextRenderLineAlign& lhs, TextRenderLineAlign rhs)
TextRenderLineAlign& | Gst::operator&= (TextRenderLineAlign& lhs, TextRenderLineAlign rhs)
TextRenderLineAlign& | Gst::operator^= (TextRenderLineAlign& lhs, TextRenderLineAlign rhs)

## Enumeration Type Documentation

enum Gst::ActivateMode

Enumerator:

  ACTIVATE_NONE |
  ACTIVATE_PUSH |
  ACTIVATE_PULL |

enum Gst::AssocFlags

Bitwise operators:
  `AssocFlags operator|(AssocFlags, AssocFlags)`
  `AssocFlags operator&(AssocFlags, AssocFlags)`
  `AssocFlags operator^(AssocFlags, AssocFlags)`
  `AssocFlags operator~(AssocFlags)`
  `AssocFlags& operator|=(AssocFlags&, AssocFlags)`
  `AssocFlags& operator&=(AssocFlags&, AssocFlags)`
  `AssocFlags& operator^=(AssocFlags&, AssocFlags)`

Enumerator:

  ASSOCIATION_FLAG_NONE |
  ASSOCIATION_FLAG_KEY_UNIT |
  ASSOCIATION_FLAG_DELTA_UNIT |
  ASSOCIATION_FLAG_LAST |

enum Gst::AudioConvertDithering

Enumerator:

  AUDIO_CONVERT_DITHER_NONE |
  AUDIO_CONVERT_DITHER_RPDF |
  AUDIO_CONVERT_DITHER_TPDF |
  AUDIO_CONVERT_DITHER_TPDF_HF |

enum Gst::AudioConvertNoiseShaping

Enumerator:

  AUDIO_CONVERT_NOISE_SHAPING_NONE |
  AUDIO_CONVERT_NOISE_SHAPING_ERROR_FEEDBACK |
  AUDIO_CONVERT_NOISE_SHAPING_SIMPLE |
  AUDIO_CONVERT_NOISE_SHAPING_MEDIUM |
  AUDIO_CONVERT_NOISE_SHAPING_HIGH |

enum Gst::AudioTestSrcWave

Enumerator:

  AUDIO_TEST_SRC_WAVE_SINE |
  AUDIO_TEST_SRC_WAVE_SQUARE |
  AUDIO_TEST_SRC_WAVE_SAW |
  AUDIO_TEST_SRC_WAVE_TRIANGLE |
  AUDIO_TEST_SRC_WAVE_SILENCE |
  AUDIO_TEST_SRC_WAVE_WHITE_NOISE |
  AUDIO_TEST_SRC_WAVE_PINK_NOISE |
  AUDIO_TEST_SRC_WAVE_SINE_TAB |
  AUDIO_TEST_SRC_WAVE_TICKS |
  AUDIO_TEST_SRC_WAVE_GAUSSIAN_WHITE_NOISE |

enum Gst::AutoplugSelectResult

Enumerator:

  AUTOPLUG_SELECT_TRY |
  AUTOPLUG_SELECT_EXPOSE |
  AUTOPLUG_SELECT_SKIP |

enum Gst::BaseAudioSinkSlaveMethod

Enumerator:

  BASE_AUDIO_SINK_SLAVE_RESAMPLE |
  BASE_AUDIO_SINK_SLAVE_SKEW |
  BASE_AUDIO_SINK_SLAVE_NONE |

enum Gst::BaseAudioSrcSlaveMethod

Enumerator:

  BASE_AUDIO_SRC_SLAVE_RESAMPLE |
  BASE_AUDIO_SRC_SLAVE_RETIMESTAMP |
  BASE_AUDIO_SRC_SLAVE_SKEW |
  BASE_AUDIO_SRC_SLAVE_NONE |

enum Gst::BufferCopyFlags

Bitwise operators:
  `BufferCopyFlags operator|(BufferCopyFlags, BufferCopyFlags)`
  `BufferCopyFlags operator&(BufferCopyFlags, BufferCopyFlags)`
  `BufferCopyFlags operator^(BufferCopyFlags, BufferCopyFlags)`
  `BufferCopyFlags operator~(BufferCopyFlags)`
  `BufferCopyFlags& operator|=(BufferCopyFlags&, BufferCopyFlags)`
  `BufferCopyFlags& operator&=(BufferCopyFlags&, BufferCopyFlags)`
  `BufferCopyFlags& operator^=(BufferCopyFlags&, BufferCopyFlags)`

Enumerator:

  BUFFER_COPY_FLAGS |
  BUFFER_COPY_TIMESTAMPS |
  BUFFER_COPY_CAPS |

enum Gst::BufferFlag

Bitwise operators:
  `BufferFlag operator|(BufferFlag, BufferFlag)`
  `BufferFlag operator&(BufferFlag, BufferFlag)`
  `BufferFlag operator^(BufferFlag, BufferFlag)`
  `BufferFlag operator~(BufferFlag)`
  `BufferFlag& operator|=(BufferFlag&, BufferFlag)`
  `BufferFlag& operator&=(BufferFlag&, BufferFlag)`
  `BufferFlag& operator^=(BufferFlag&, BufferFlag)`

Enumerator:

  BUFFER_FLAG_READONLY |
  BUFFER_FLAG_PREROLL |
  BUFFER_FLAG_DISCONT |
  BUFFER_FLAG_IN_CAPS |
  BUFFER_FLAG_GAP |
  BUFFER_FLAG_DELTA_UNIT |
  BUFFER_FLAG_MEDIA1 |
  BUFFER_FLAG_MEDIA2 |
  BUFFER_FLAG_MEDIA3 |
  BUFFER_FLAG_LAST |

enum Gst::BufferFormat

Enumerator:

  UNKNOWN |
  S8 |
  U8 |
  S16_LE |
  S16_BE |
  U16_LE |
  U16_BE |
  S24_LE |
  S24_BE |
  U24_LE |
  U24_BE |
  S32_LE |
  S32_BE |
  U32_LE |
  U32_BE |
  S24_3LE |
  S24_3BE |
  U24_3LE |
  U24_3BE |
  S20_3LE |
  S20_3BE |
  U20_3LE |
  U20_3BE |
  S18_3LE |
  S18_3BE |
  U18_3LE |
  U18_3BE |
  FLOAT32_LE |
  FLOAT32_BE |
  FLOAT64_LE |
  FLOAT64_BE |
  MU_LAW |
  A_LAW |
  IMA_ADPCM |
  MPEG |
  GSM |
  IEC958 |
  AC3 |
  EAC3 |
  DTS |

enum Gst::BufferFormatType

Enumerator:

  BUFTYPE_LINEAR |
  BUFTYPE_FLOAT |
  BUFTYPE_MU_LAW |
  BUFTYPE_A_LAW |
  BUFTYPE_IMA_ADPCM |
  BUFTYPE_MPEG |
  BUFTYPE_GSM |
  BUFTYPE_IEC958 |
  BUFTYPE_AC3 |
  BUFTYPE_EAC3 |
  BUFTYPE_DTS |

enum Gst::BufferingMode

Enumerator:

  BUFFERING_STREAM |
  BUFFERING_DOWNLOAD |
  BUFFERING_TIMESHIFT |
  BUFFERING_LIVE |

enum Gst::BufferListItem

Enumerator:

  BUFFER_LIST_CONTINUE |
  BUFFER_LIST_SKIP_GROUP |
  BUFFER_LIST_END |

enum Gst::BusFlags

Bitwise operators:
  `BusFlags operator|(BusFlags, BusFlags)`
  `BusFlags operator&(BusFlags, BusFlags)`
  `BusFlags operator^(BusFlags, BusFlags)`
  `BusFlags operator~(BusFlags)`
  `BusFlags& operator|=(BusFlags&, BusFlags)`
  `BusFlags& operator&=(BusFlags&, BusFlags)`
  `BusFlags& operator^=(BusFlags&, BusFlags)`

Enumerator:

  BUS_FLUSHING |
  BUS_FLAG_LAST |

enum Gst::BusSyncReply

The result values for a Gst::Bus::SlotMessageSync.

- Gst::BUS_DROP - Drop the message.
- Gst::BUS_PASS - Pass the message to the async queue.
- Gst::BUS_ASYNC - Pass message to async queue, continue if message is handled.

Enumerator:

  BUS_DROP |
  BUS_PASS |
  BUS_ASYNC |

enum Gst::CddaBaseSrcMode

Enumerator:

  CDDA_BASE_SRC_MODE_NORMAL |
  CDDA_BASE_SRC_MODE_CONTINUOUS |

enum Gst::CdParanoiaMode

Enumerator:

  PARANOIA_MODE_DISABLE |
  PARANOIA_MODE_FRAGMENT |
  PARANOIA_MODE_OVERLAP |
  PARANOIA_MODE_SCRATCH |
  PARANOIA_MODE_REPAIR |
  PARANOIA_MODE_FULL |

enum Gst::ClientStatus

Enumerator:

  CLIENT_STATUS_OK |
  CLIENT_STATUS_CLOSED |
  CLIENT_STATUS_REMOVED |
  CLIENT_STATUS_SLOW |
  CLIENT_STATUS_ERROR |
  CLIENT_STATUS_DUPLICATE |
  CLIENT_STATUS_FLUSHING |

enum Gst::ClockEntryType

Enumerator:

  CLOCK_ENTRY_SINGLE |
  CLOCK_ENTRY_PERIODIC |

enum Gst::ClockFlags

Bitwise operators:
  `ClockFlags operator|(ClockFlags, ClockFlags)`
  `ClockFlags operator&(ClockFlags, ClockFlags)`
  `ClockFlags operator^(ClockFlags, ClockFlags)`
  `ClockFlags operator~(ClockFlags)`
  `ClockFlags& operator|=(ClockFlags&, ClockFlags)`
  `ClockFlags& operator&=(ClockFlags&, ClockFlags)`
  `ClockFlags& operator^=(ClockFlags&, ClockFlags)`

Enumerator:

  CLOCK_FLAG_CAN_DO_SINGLE_SYNC |
  CLOCK_FLAG_CAN_DO_SINGLE_ASYNC |
  CLOCK_FLAG_CAN_DO_PERIODIC_SYNC |
  CLOCK_FLAG_CAN_DO_PERIODIC_ASYNC |
  CLOCK_FLAG_CAN_SET_RESOLUTION |
  CLOCK_FLAG_CAN_SET_MASTER |
  CLOCK_FLAG_LAST |

enum Gst::ClockReturn

Enumerator:

  CLOCK_OK |
  CLOCK_EARLY |
  CLOCK_UNSCHEDULED |
  CLOCK_BUSY |
  CLOCK_BADTIME |
  CLOCK_ERROR |
  CLOCK_UNSUPPORTED |

enum Gst::ColorBalanceType

Enumerator:

  COLOR_BALANCE_HARDWARE |
  COLOR_BALANCE_SOFTWARE |

enum Gst::DPVersion

Enumerator:

  DP_VERSION_0_2 |
  DP_VERSION_1_0 |

enum Gst::ElementFlags

Bitwise operators:
  `ElementFlags operator|(ElementFlags, ElementFlags)`
  `ElementFlags operator&(ElementFlags, ElementFlags)`
  `ElementFlags operator^(ElementFlags, ElementFlags)`
  `ElementFlags operator~(ElementFlags)`
  `ElementFlags& operator|=(ElementFlags&, ElementFlags)`
  `ElementFlags& operator&=(ElementFlags&, ElementFlags)`
  `ElementFlags& operator^=(ElementFlags&, ElementFlags)`

Enumerator:

  ELEMENT_LOCKED_STATE |
  ELEMENT_IS_SINK |
  ELEMENT_UNPARENTING |
  ELEMENT_FLAG_LAST |

enum Gst::EventTypeFlags

Bitwise operators:
  `EventTypeFlags operator|(EventTypeFlags, EventTypeFlags)`
  `EventTypeFlags operator&(EventTypeFlags, EventTypeFlags)`
  `EventTypeFlags operator^(EventTypeFlags, EventTypeFlags)`
  `EventTypeFlags operator~(EventTypeFlags)`
  `EventTypeFlags& operator|=(EventTypeFlags&, EventTypeFlags)`
  `EventTypeFlags& operator&=(EventTypeFlags&, EventTypeFlags)`
  `EventTypeFlags& operator^=(EventTypeFlags&, EventTypeFlags)`

Enumerator:

  EVENT_TYPE_UPSTREAM |
  EVENT_TYPE_DOWNSTREAM |
  EVENT_TYPE_SERIALIZED |

enum Gst::FakeSinkStateError

Enumerator:

  FAKE_SINK_STATE_ERROR_NONE |
  FAKE_SINK_STATE_ERROR_NULL_READY |
  FAKE_SINK_STATE_ERROR_READY_PAUSED |
  FAKE_SINK_STATE_ERROR_PAUSED_PLAYING |
  FAKE_SINK_STATE_ERROR_PLAYING_PAUSED |
  FAKE_SINK_STATE_ERROR_PAUSED_READY |
  FAKE_SINK_STATE_ERROR_READY_NULL |

enum Gst::FakeSrcDataType

Enumerator:

  FAKE_SRC_DATA_ALLOCATE |
  FAKE_SRC_DATA_SUBBUFFER |

enum Gst::FakeSrcFillType

Enumerator:

  FAKE_SRC_FILLTYPE_NOTHING |
  FAKE_SRC_FILLTYPE_ZERO |
  FAKE_SRC_FILLTYPE_RANDOM |
  FAKE_SRC_FILLTYPE_PATTERN |
  FAKE_SRC_FILLTYPE_PATTERN_CONT |

enum Gst::FakeSrcSizeType

Enumerator:

  FAKE_SRC_SIZETYPE_EMPTY |
  FAKE_SRC_SIZETYPE_FIXED |
  FAKE_SRC_SIZETYPE_RANDOM |

enum Gst::FDSetMode

Enumerator:

  FD_SET_MODE_SELECT |
  FD_SET_MODE_POLL |
  FD_SET_MODE_EPOLL |

enum Gst::FileSinkBufferMode

Enumerator:

  FILE_SINK_BUFFER_MODE_DEFAULT |
  FILE_SINK_BUFFER_MODE_FULL |
  FILE_SINK_BUFFER_MODE_LINE |
  FILE_SINK_BUFFER_MODE_UNBUFFERED |

enum Gst::FlowReturn

Enumerator:

  FLOW_CUSTOM_SUCCESS |
  FLOW_RESEND |
  FLOW_OK |
  FLOW_NOT_LINKED |
  FLOW_WRONG_STATE |
  FLOW_UNEXPECTED |
  FLOW_NOT_NEGOTIATED |
  FLOW_ERROR |
  FLOW_NOT_SUPPORTED |
  FLOW_CUSTOM_ERROR |

enum Gst::Format

Enumerator:

  FORMAT_UNDEFINED |
  FORMAT_DEFAULT |
  FORMAT_BYTES |
  FORMAT_TIME |
  FORMAT_BUFFERS |
  FORMAT_PERCENT |

enum Gst::IndexCertainty

Enumerator:

  INDEX_UNKNOWN |
  INDEX_CERTAIN |
  INDEX_FUZZY |

enum Gst::IndexEntryType

Enumerator:

  INDEX_ENTRY_ID |
  INDEX_ENTRY_ASSOCIATION |
  INDEX_ENTRY_OBJECT |
  INDEX_ENTRY_FORMAT |

enum Gst::IndexFlags

Bitwise operators:
  `IndexFlags operator|(IndexFlags, IndexFlags)`
  `IndexFlags operator&(IndexFlags, IndexFlags)`
  `IndexFlags operator^(IndexFlags, IndexFlags)`
  `IndexFlags operator~(IndexFlags)`
  `IndexFlags& operator|=(IndexFlags&, IndexFlags)`
  `IndexFlags& operator&=(IndexFlags&, IndexFlags)`
  `IndexFlags& operator^=(IndexFlags&, IndexFlags)`

Enumerator:

  INDEX_WRITABLE |
  INDEX_READABLE |
  INDEX_FLAG_LAST |

enum Gst::IndexLookupMethod

Enumerator:

  INDEX_LOOKUP_EXACT |
  INDEX_LOOKUP_BEFORE |
  INDEX_LOOKUP_AFTER |

enum Gst::IndexResolverMethod

Enumerator:

  INDEX_RESOLVER_CUSTOM |
  INDEX_RESOLVER_GTYPE |
  INDEX_RESOLVER_PATH |

enum Gst::IteratorItem

Enumerator:

  ITERATOR_ITEM_SKIP |
  ITERATOR_ITEM_PASS |
  ITERATOR_ITEM_END |

enum Gst::IteratorResult

Enumerator:

  ITERATOR_DONE |
  ITERATOR_OK |
  ITERATOR_RESYNC |
  ITERATOR_ERROR |

enum Gst::MessageType

Bitwise operators:
  `MessageType operator|(MessageType, MessageType)`
  `MessageType operator&(MessageType, MessageType)`
  `MessageType operator^(MessageType, MessageType)`
  `MessageType operator~(MessageType)`
  `MessageType& operator|=(MessageType&, MessageType)`
  `MessageType& operator&=(MessageType&, MessageType)`
  `MessageType& operator^=(MessageType&, MessageType)`

Enumerator:

  MESSAGE_UNKNOWN |
  MESSAGE_EOS |
  MESSAGE_ERROR |
  MESSAGE_WARNING |
  MESSAGE_INFO |
  MESSAGE_TAG |
  MESSAGE_BUFFERING |
  MESSAGE_STATE_CHANGED |
  MESSAGE_STATE_DIRTY |
  MESSAGE_STEP_DONE |
  MESSAGE_CLOCK_PROVIDE |
  MESSAGE_CLOCK_LOST |
  MESSAGE_NEW_CLOCK |
  MESSAGE_STRUCTURE_CHANGE |
  MESSAGE_STREAM_STATUS |
  MESSAGE_APPLICATION |
  MESSAGE_ELEMENT |
  MESSAGE_SEGMENT_START |
  MESSAGE_SEGMENT_DONE |
  MESSAGE_DURATION |
  MESSAGE_LATENCY |
  MESSAGE_ASYNC_START |
  MESSAGE_ASYNC_DONE |
  MESSAGE_REQUEST_STATE |
  MESSAGE_STEP_START |
  MESSAGE_ANY |

enum Gst::MiniObjectFlags

Bitwise operators:
  `MiniObjectFlags operator|(MiniObjectFlags, MiniObjectFlags)`
  `MiniObjectFlags operator&(MiniObjectFlags, MiniObjectFlags)`
  `MiniObjectFlags operator^(MiniObjectFlags, MiniObjectFlags)`
  `MiniObjectFlags operator~(MiniObjectFlags)`
  `MiniObjectFlags& operator|=(MiniObjectFlags&, MiniObjectFlags)`
  `MiniObjectFlags& operator&=(MiniObjectFlags&, MiniObjectFlags)`
  `MiniObjectFlags& operator^=(MiniObjectFlags&, MiniObjectFlags)`

Enumerator:

  MINI_OBJECT_FLAG_READONLY |
  MINI_OBJECT_FLAG_LAST |

enum Gst::MixerFlags

Bitwise operators:
  `MixerFlags operator|(MixerFlags, MixerFlags)`
  `MixerFlags operator&(MixerFlags, MixerFlags)`
  `MixerFlags operator^(MixerFlags, MixerFlags)`
  `MixerFlags operator~(MixerFlags)`
  `MixerFlags& operator|=(MixerFlags&, MixerFlags)`
  `MixerFlags& operator&=(MixerFlags&, MixerFlags)`
  `MixerFlags& operator^=(MixerFlags&, MixerFlags)`

Enumerator:

  MIXER_FLAG_NONE |
  MIXER_FLAG_AUTO_NOTIFICATIONS |
  MIXER_FLAG_HAS_WHITELIST |
  MIXER_FLAG_GROUPING |

enum Gst::MixerMessageType

Enumerator:

  MIXER_MESSAGE_INVALID |
  MIXER_MESSAGE_MUTE_TOGGLED |
  MIXER_MESSAGE_RECORD_TOGGLED |
  MIXER_MESSAGE_VOLUME_CHANGED |
  MIXER_MESSAGE_OPTION_CHANGED |
  MIXER_MESSAGE_OPTIONS_LIST_CHANGED |
  MIXER_MESSAGE_MIXER_CHANGED |

enum Gst::MixerTrackFlags

Bitwise operators:
  `MixerTrackFlags operator|(MixerTrackFlags, MixerTrackFlags)`
  `MixerTrackFlags operator&(MixerTrackFlags, MixerTrackFlags)`
  `MixerTrackFlags operator^(MixerTrackFlags, MixerTrackFlags)`
  `MixerTrackFlags operator~(MixerTrackFlags)`
  `MixerTrackFlags& operator|=(MixerTrackFlags&, MixerTrackFlags)`
  `MixerTrackFlags& operator&=(MixerTrackFlags&, MixerTrackFlags)`
  `MixerTrackFlags& operator^=(MixerTrackFlags&, MixerTrackFlags)`

Enumerator:

  MIXER_TRACK_INPUT |
  MIXER_TRACK_OUTPUT |
  MIXER_TRACK_MUTE |
  MIXER_TRACK_RECORD |
  MIXER_TRACK_MASTER |
  MIXER_TRACK_SOFTWARE |
  MIXER_TRACK_NO_RECORD |
  MIXER_TRACK_NO_MUTE |
  MIXER_TRACK_WHITELIST |
  MIXER_TRACK_READONLY |
  MIXER_TRACK_WRITEONLY |

enum Gst::MixerType

Enumerator:

  MIXER_HARDWARE |
  MIXER_SOFTWARE |

enum Gst::NavigationCommand

Enumerator:

  NAVIGATION_COMMAND_INVALID |
  NAVIGATION_COMMAND_MENU1 |
  NAVIGATION_COMMAND_MENU2 |
  NAVIGATION_COMMAND_MENU3 |
  NAVIGATION_COMMAND_MENU4 |
  NAVIGATION_COMMAND_MENU5 |
  NAVIGATION_COMMAND_MENU6 |
  NAVIGATION_COMMAND_MENU7 |
  NAVIGATION_COMMAND_LEFT |
  NAVIGATION_COMMAND_RIGHT |
  NAVIGATION_COMMAND_UP |
  NAVIGATION_COMMAND_DOWN |
  NAVIGATION_COMMAND_ACTIVATE |
  NAVIGATION_COMMAND_PREV_ANGLE |
  NAVIGATION_COMMAND_NEXT_ANGLE |

enum Gst::ObjectFlags

Bitwise operators:
  `ObjectFlags operator|(ObjectFlags, ObjectFlags)`
  `ObjectFlags operator&(ObjectFlags, ObjectFlags)`
  `ObjectFlags operator^(ObjectFlags, ObjectFlags)`
  `ObjectFlags operator~(ObjectFlags)`
  `ObjectFlags& operator|=(ObjectFlags&, ObjectFlags)`
  `ObjectFlags& operator&=(ObjectFlags&, ObjectFlags)`
  `ObjectFlags& operator^=(ObjectFlags&, ObjectFlags)`

Enumerator:

  OBJECT_DISPOSING |
  OBJECT_FLOATING |
  OBJECT_FLAG_LAST |

enum Gst::PadDirection

Enumerator:

  PAD_UNKNOWN |
  PAD_SRC |
  PAD_SINK |

enum Gst::PadFlags

Bitwise operators:
  `PadFlags operator|(PadFlags, PadFlags)`
  `PadFlags operator&(PadFlags, PadFlags)`
  `PadFlags operator^(PadFlags, PadFlags)`
  `PadFlags operator~(PadFlags)`
  `PadFlags& operator|=(PadFlags&, PadFlags)`
  `PadFlags& operator&=(PadFlags&, PadFlags)`
  `PadFlags& operator^=(PadFlags&, PadFlags)`

Enumerator:

  PAD_BLOCKED |
  PAD_FLUSHING |
  PAD_IN_GETCAPS |
  PAD_IN_SETCAPS |
  PAD_BLOCKING |
  PAD_FLAG_LAST |

enum Gst::PadLinkReturn

Enumerator:

  PAD_LINK_OK |
  PAD_LINK_WRONG_HIERARCHY |
  PAD_LINK_WAS_LINKED |
  PAD_LINK_WRONG_DIRECTION |
  PAD_LINK_NOFORMAT |
  PAD_LINK_NOSCHED |
  PAD_LINK_REFUSED |

enum Gst::PadPresence

Enumerator:

  PAD_ALWAYS |
  PAD_SOMETIMES |
  PAD_REQUEST |

enum Gst::PadTemplateFlags

Bitwise operators:
  `PadTemplateFlags operator|(PadTemplateFlags, PadTemplateFlags)`
  `PadTemplateFlags operator&(PadTemplateFlags, PadTemplateFlags)`
  `PadTemplateFlags operator^(PadTemplateFlags, PadTemplateFlags)`
  `PadTemplateFlags operator~(PadTemplateFlags)`
  `PadTemplateFlags& operator|=(PadTemplateFlags&, PadTemplateFlags)`
  `PadTemplateFlags& operator&=(PadTemplateFlags&, PadTemplateFlags)`
  `PadTemplateFlags& operator^=(PadTemplateFlags&, PadTemplateFlags)`

Enumerator:

  PAD_TEMPLATE_FIXED |
  PAD_TEMPLATE_FLAG_LAST |

enum Gst::PlayFlags

Bitwise operators:
  `PlayFlags operator|(PlayFlags, PlayFlags)`
  `PlayFlags operator&(PlayFlags, PlayFlags)`
  `PlayFlags operator^(PlayFlags, PlayFlags)`
  `PlayFlags operator~(PlayFlags)`
  `PlayFlags& operator|=(PlayFlags&, PlayFlags)`
  `PlayFlags& operator&=(PlayFlags&, PlayFlags)`
  `PlayFlags& operator^=(PlayFlags&, PlayFlags)`

Enumerator:

  PLAY_FLAG_VIDEO |
  PLAY_FLAG_AUDIO |
  PLAY_FLAG_TEXT |
  PLAY_FLAG_VIS |
  PLAY_FLAG_SOFT_VOLUME |
  PLAY_FLAG_NATIVE_AUDIO |
  PLAY_FLAG_NATIVE_VIDEO |
  PLAY_FLAG_DOWNLOAD |
  PLAY_FLAG_BUFFERING |

enum Gst::PluginDependencyFlags

Bitwise operators:
  `PluginDependencyFlags operator|(PluginDependencyFlags, PluginDependencyFlags)`
  `PluginDependencyFlags operator&(PluginDependencyFlags, PluginDependencyFlags)`
  `PluginDependencyFlags operator^(PluginDependencyFlags, PluginDependencyFlags)`
  `PluginDependencyFlags operator~(PluginDependencyFlags)`
  `PluginDependencyFlags& operator|=(PluginDependencyFlags&, PluginDependencyFlags)`
  `PluginDependencyFlags& operator&=(PluginDependencyFlags&, PluginDependencyFlags)`
  `PluginDependencyFlags& operator^=(PluginDependencyFlags&, PluginDependencyFlags)`

Enumerator:

  PLUGIN_DEPENDENCY_FLAG_NONE |
  PLUGIN_DEPENDENCY_FLAG_RECURSE |
  PLUGIN_DEPENDENCY_FLAG_PATHS_ARE_DEFAULT_ONLY |
  PLUGIN_DEPENDENCY_FLAG_FILE_NAME_IS_SUFFIX |

enum Gst::QueryType

Enumerator:

  QUERY_NONE |
  QUERY_POSITION |
  QUERY_DURATION |
  QUERY_LATENCY |
  QUERY_JITTER |
  QUERY_RATE |
  QUERY_SEEKING |
  QUERY_SEGMENT |
  QUERY_CONVERT |
  QUERY_FORMATS |
  QUERY_BUFFERING |
  QUERY_CUSTOM |
  QUERY_URI |

enum Gst::QueueLeaky

Enumerator:

  QUEUE_LEAKY_NONE |
  QUEUE_LEAKY_UPSTREAM |
  QUEUE_LEAKY_DOWNSTREAM |

enum Gst::Rank

Enumerator:

  RANK_NONE |
  RANK_MARGINAL |
  RANK_SECONDARY |
  RANK_PRIMARY |

enum Gst::RecoverPolicy

Enumerator:

  RECOVER_POLICY_NONE |
  RECOVER_POLICY_RESYNC_LATEST |
  RECOVER_POLICY_RESYNC_SOFT_LIMIT |
  RECOVER_POLICY_RESYNC_KEYFRAME |

enum Gst::RingBufferSegState

Enumerator:

  SEGSTATE_INVALID |
  SEGSTATE_EMPTY |
  SEGSTATE_FILLED |
  SEGSTATE_PARTIAL |

enum Gst::RingBufferState

Enumerator:

  RING_BUFFER_STATE_STOPPED |
  RING_BUFFER_STATE_PAUSED |
  RING_BUFFER_STATE_STARTED |

enum Gst::SeekFlags

Bitwise operators:
  `SeekFlags operator|(SeekFlags, SeekFlags)`
  `SeekFlags operator&(SeekFlags, SeekFlags)`
  `SeekFlags operator^(SeekFlags, SeekFlags)`
  `SeekFlags operator~(SeekFlags)`
  `SeekFlags& operator|=(SeekFlags&, SeekFlags)`
  `SeekFlags& operator&=(SeekFlags&, SeekFlags)`
  `SeekFlags& operator^=(SeekFlags&, SeekFlags)`

Enumerator:

  SEEK_FLAG_NONE |
  SEEK_FLAG_FLUSH |
  SEEK_FLAG_ACCURATE |
  SEEK_FLAG_KEY_UNIT |
  SEEK_FLAG_SEGMENT |
  SEEK_FLAG_SKIP |

enum Gst::SeekType

Enumerator:

  SEEK_TYPE_NONE |
  SEEK_TYPE_CUR |
  SEEK_TYPE_SET |
  SEEK_TYPE_END |

enum Gst::State

Enumerator:

  STATE_VOID_PENDING |
  STATE_NULL |
  STATE_READY |
  STATE_PAUSED |
  STATE_PLAYING |

enum Gst::StateChangeReturn

Enumerator:

  STATE_CHANGE_FAILURE |
  STATE_CHANGE_SUCCESS |
  STATE_CHANGE_ASYNC |
  STATE_CHANGE_NO_PREROLL |

enum Gst::StreamStatusType

Enumerator:

  STREAM_STATUS_TYPE_CREATE |
  STREAM_STATUS_TYPE_ENTER |
  STREAM_STATUS_TYPE_LEAVE |
  STREAM_STATUS_TYPE_DESTROY |
  STREAM_STATUS_TYPE_START |
  STREAM_STATUS_TYPE_PAUSE |
  STREAM_STATUS_TYPE_STOP |

enum Gst::StreamVolumeFormat

Enumerator:

  STREAM_VOLUME_FORMAT_LINEAR |
  STREAM_VOLUME_FORMAT_CUBIC |
  STREAM_VOLUME_FORMAT_DB |

enum Gst::StructureChangeType

Enumerator:

  STRUCTURE_CHANGE_TYPE_PAD_LINK |
  STRUCTURE_CHANGE_TYPE_PAD_UNLINK |

enum Gst::SyncMethod

Enumerator:

  SYNC_METHOD_LATEST |
  SYNC_METHOD_NEXT_KEYFRAME |
  SYNC_METHOD_LATEST_KEYFRAME |
  SYNC_METHOD_BURST |
  SYNC_METHOD_BURST_KEYFRAME |
  SYNC_METHOD_BURST_WITH_KEYFRAME |

enum Gst::TagFlag

Enumerator:

  TAG_FLAG_UNDEFINED |
  TAG_FLAG_META |
  TAG_FLAG_ENCODED |
  TAG_FLAG_DECODED |
  TAG_FLAG_COUNT |

enum Gst::TagMergeMode

Enumerator:

  TAG_MERGE_UNDEFINED |
  TAG_MERGE_REPLACE_ALL |
  TAG_MERGE_REPLACE |
  TAG_MERGE_APPEND |
  TAG_MERGE_PREPEND |
  TAG_MERGE_KEEP |
  TAG_MERGE_KEEP_ALL |
  TAG_MERGE_COUNT |

enum Gst::TaskState

Enumerator:

  TASK_STARTED |
  TASK_STOPPED |
  TASK_PAUSED |

enum Gst::TCPProtocol

Enumerator:

  TCP_PROTOCOL_NONE |
  TCP_PROTOCOL_GDP |

enum Gst::TCPUnitType

Enumerator:

  TCP_UNIT_TYPE_UNDEFINED |
  TCP_UNIT_TYPE_BUFFERS |
  TCP_UNIT_TYPE_TIME |
  TCP_UNIT_TYPE_BYTES |

enum Gst::TeePullMode

Enumerator:

  TEE_PULL_MODE_NEVER |
  TEE_PULL_MODE_SINGLE |

enum Gst::TextOverlayHAlign

Enumerator:

  TEXT_OVERLAY_HALIGN_LEFT |
  TEXT_OVERLAY_HALIGN_CENTER |
  TEXT_OVERLAY_HALIGN_RIGHT |

enum Gst::TextOverlayLineAlign

Bitwise operators:
  `TextOverlayLineAlign operator|(TextOverlayLineAlign, TextOverlayLineAlign)`
  `TextOverlayLineAlign operator&(TextOverlayLineAlign, TextOverlayLineAlign)`
  `TextOverlayLineAlign operator^(TextOverlayLineAlign, TextOverlayLineAlign)`
  `TextOverlayLineAlign operator~(TextOverlayLineAlign)`
  `TextOverlayLineAlign& operator|=(TextOverlayLineAlign&, TextOverlayLineAlign)`
  `TextOverlayLineAlign& operator&=(TextOverlayLineAlign&, TextOverlayLineAlign)`
  `TextOverlayLineAlign& operator^=(TextOverlayLineAlign&, TextOverlayLineAlign)`

Enumerator:

  TEXT_OVERLAY_LINE_ALIGN_LEFT |
  TEXT_OVERLAY_LINE_ALIGN_CENTER |
  TEXT_OVERLAY_LINE_ALIGN_RIGHT |

enum Gst::TextOverlayVAlign

Enumerator:

  TEXT_OVERLAY_VALIGN_BASELINE |
  TEXT_OVERLAY_VALIGN_BOTTOM |
  TEXT_OVERLAY_VALIGN_TOP |

enum Gst::TextOverlayWrapMode

Enumerator:

  TEXT_OVERLAY_WRAP_MODE_NONE |
  TEXT_OVERLAY_WRAP_MODE_WORD |
  TEXT_OVERLAY_WRAP_MODE_CHAR |
  TEXT_OVERLAY_WRAP_MODE_WORD_CHAR |

enum Gst::TextRenderHAlign

Enumerator:

  TEXT_RENDER_HALIGN_LEFT |
  TEXT_RENDER_HALIGN_CENTER |
  TEXT_RENDER_HALIGN_RIGHT |

enum Gst::TextRenderLineAlign

Bitwise operators:
  `TextRenderLineAlign operator|(TextRenderLineAlign, TextRenderLineAlign)`
  `TextRenderLineAlign operator&(TextRenderLineAlign, TextRenderLineAlign)`
  `TextRenderLineAlign operator^(TextRenderLineAlign, TextRenderLineAlign)`
  `TextRenderLineAlign operator~(TextRenderLineAlign)`
  `TextRenderLineAlign& operator|=(TextRenderLineAlign&, TextRenderLineAlign)`
  `TextRenderLineAlign& operator&=(TextRenderLineAlign&, TextRenderLineAlign)`
  `TextRenderLineAlign& operator^=(TextRenderLineAlign&, TextRenderLineAlign)`

Enumerator:

  TEXT_RENDER_LINE_ALIGN_LEFT |
  TEXT_RENDER_LINE_ALIGN_CENTER |
  TEXT_RENDER_LINE_ALIGN_RIGHT |

enum Gst::TextRenderVAlign

Enumerator:

  TEXT_RENDER_VALIGN_BASELINE |
  TEXT_RENDER_VALIGN_BOTTOM |
  TEXT_RENDER_VALIGN_TOP |

enum Gst::TheoraEncBorderMode

Enumerator:

  THEORA_ENC_BORDER_NONE |
  THEORA_ENC_BORDER_BLACK |
  THEORA_ENC_BORDER_MIRROR |

enum Gst::TunerChannelFlags

Bitwise operators:
  `TunerChannelFlags operator|(TunerChannelFlags, TunerChannelFlags)`
  `TunerChannelFlags operator&(TunerChannelFlags, TunerChannelFlags)`
  `TunerChannelFlags operator^(TunerChannelFlags, TunerChannelFlags)`
  `TunerChannelFlags operator~(TunerChannelFlags)`
  `TunerChannelFlags& operator|=(TunerChannelFlags&, TunerChannelFlags)`
  `TunerChannelFlags& operator&=(TunerChannelFlags&, TunerChannelFlags)`
  `TunerChannelFlags& operator^=(TunerChannelFlags&, TunerChannelFlags)`

Enumerator:

  TUNER_CHANNEL_INPUT |
  TUNER_CHANNEL_OUTPUT |
  TUNER_CHANNEL_FREQUENCY |
  TUNER_CHANNEL_AUDIO |

enum Gst::TypeFindProbability

Enumerator:

  TYPE_FIND_MINIMUM |
  TYPE_FIND_POSSIBLE |
  TYPE_FIND_LIKELY |
  TYPE_FIND_NEARLY_CERTAIN |
  TYPE_FIND_MAXIMUM |

enum Gst::URIType

Enumerator:

  URI_UNKNOWN |
  URI_SINK |
  URI_SRC |

enum Gst::VideoScaleMethod

Enumerator:

  VIDEO_SCALE_NEAREST |
  VIDEO_SCALE_BILINEAR |
  VIDEO_SCALE_4TAP |

enum Gst::VideoTestSrcColorSpec

Enumerator:

  VIDEO_TEST_SRC_BT601 |
  VIDEO_TEST_SRC_BT709 |

enum Gst::VideoTestSrcPattern

Enumerator:

  VIDEO_TEST_SRC_SMPTE |
  VIDEO_TEST_SRC_SNOW |
  VIDEO_TEST_SRC_BLACK |
  VIDEO_TEST_SRC_WHITE |
  VIDEO_TEST_SRC_RED |
  VIDEO_TEST_SRC_GREEN |
  VIDEO_TEST_SRC_BLUE |
  VIDEO_TEST_SRC_CHECKERS1 |
  VIDEO_TEST_SRC_CHECKERS2 |
  VIDEO_TEST_SRC_CHECKERS4 |
  VIDEO_TEST_SRC_CHECKERS8 |
  VIDEO_TEST_SRC_CIRCULAR |
  VIDEO_TEST_SRC_BLINK |
  VIDEO_TEST_SRC_SMPTE75 |
  VIDEO_TEST_SRC_ZONE_PLATE |
  VIDEO_TEST_SRC_GAMUT |

## Function Documentation

BufferFlag Gst::operator& | ( | BufferFlag | lhs,
|  | BufferFlag | rhs |
| ) |  |  | `[inline]`

BufferCopyFlags Gst::operator& | ( | BufferCopyFlags | lhs,
|  | BufferCopyFlags | rhs |
| ) |  |  | `[inline]`

BusFlags Gst::operator& | ( | BusFlags | lhs,
|  | BusFlags | rhs |
| ) |  |  | `[inline]`

IndexFlags Gst::operator& | ( | IndexFlags | lhs,
|  | IndexFlags | rhs |
| ) |  |  | `[inline]`

PlayFlags Gst::operator& | ( | PlayFlags | lhs,
|  | PlayFlags | rhs |
| ) |  |  | `[inline]`

TextOverlayLineAlign Gst::operator& | ( | TextOverlayLineAlign | lhs,
|  | TextOverlayLineAlign | rhs |
| ) |  |  | `[inline]`

TextRenderLineAlign Gst::operator& | ( | TextRenderLineAlign | lhs,
|  | TextRenderLineAlign | rhs |
| ) |  |  | `[inline]`

MiniObjectFlags Gst::operator& | ( | MiniObjectFlags | lhs,
|  | MiniObjectFlags | rhs |
| ) |  |  | `[inline]`

MessageType Gst::operator& | ( | MessageType | lhs,
|  | MessageType | rhs |
| ) |  |  | `[inline]`

MixerFlags Gst::operator& | ( | MixerFlags | lhs,
|  | MixerFlags | rhs |
| ) |  |  | `[inline]`

ClockFlags Gst::operator& | ( | ClockFlags | lhs,
|  | ClockFlags | rhs |
| ) |  |  | `[inline]`

MixerTrackFlags Gst::operator& | ( | MixerTrackFlags | lhs,
|  | MixerTrackFlags | rhs |
| ) |  |  | `[inline]`

SeekFlags Gst::operator& | ( | SeekFlags | lhs,
|  | SeekFlags | rhs |
| ) |  |  | `[inline]`

ObjectFlags Gst::operator& | ( | ObjectFlags | lhs,
|  | ObjectFlags | rhs |
| ) |  |  | `[inline]`

ElementFlags Gst::operator& | ( | ElementFlags | lhs,
|  | ElementFlags | rhs |
| ) |  |  | `[inline]`

EventTypeFlags Gst::operator& | ( | EventTypeFlags | lhs,
|  | EventTypeFlags | rhs |
| ) |  |  | `[inline]`

PadFlags Gst::operator& | ( | PadFlags | lhs,
|  | PadFlags | rhs |
| ) |  |  | `[inline]`

PadTemplateFlags Gst::operator& | ( | PadTemplateFlags | lhs,
|  | PadTemplateFlags | rhs |
| ) |  |  | `[inline]`

AssocFlags Gst::operator& | ( | AssocFlags | lhs,
|  | AssocFlags | rhs |
| ) |  |  | `[inline]`

PluginDependencyFlags Gst::operator& | ( | PluginDependencyFlags | lhs,
|  | PluginDependencyFlags | rhs |
| ) |  |  | `[inline]`

TunerChannelFlags Gst::operator& | ( | TunerChannelFlags | lhs,
|  | TunerChannelFlags | rhs |
| ) |  |  | `[inline]`

ElementFlags& Gst::operator&= | ( | ElementFlags & | lhs,
|  | ElementFlags | rhs |
| ) |  |  | `[inline]`

PlayFlags& Gst::operator&= | ( | PlayFlags & | lhs,
|  | PlayFlags | rhs |
| ) |  |  | `[inline]`

TextOverlayLineAlign& Gst::operator&= | ( | TextOverlayLineAlign & | lhs,
|  | TextOverlayLineAlign | rhs |
| ) |  |  | `[inline]`

IndexFlags& Gst::operator&= | ( | IndexFlags & | lhs,
|  | IndexFlags | rhs |
| ) |  |  | `[inline]`

TextRenderLineAlign& Gst::operator&= | ( | TextRenderLineAlign & | lhs,
|  | TextRenderLineAlign | rhs |
| ) |  |  | `[inline]`

MessageType& Gst::operator&= | ( | MessageType & | lhs,
|  | MessageType | rhs |
| ) |  |  | `[inline]`

MixerFlags& Gst::operator&= | ( | MixerFlags & | lhs,
|  | MixerFlags | rhs |
| ) |  |  | `[inline]`

MiniObjectFlags& Gst::operator&= | ( | MiniObjectFlags & | lhs,
|  | MiniObjectFlags | rhs |
| ) |  |  | `[inline]`

BusFlags& Gst::operator&= | ( | BusFlags & | lhs,
|  | BusFlags | rhs |
| ) |  |  | `[inline]`

MixerTrackFlags& Gst::operator&= | ( | MixerTrackFlags & | lhs,
|  | MixerTrackFlags | rhs |
| ) |  |  | `[inline]`

ObjectFlags& Gst::operator&= | ( | ObjectFlags & | lhs,
|  | ObjectFlags | rhs |
| ) |  |  | `[inline]`

BufferCopyFlags& Gst::operator&= | ( | BufferCopyFlags & | lhs,
|  | BufferCopyFlags | rhs |
| ) |  |  | `[inline]`

SeekFlags& Gst::operator&= | ( | SeekFlags & | lhs,
|  | SeekFlags | rhs |
| ) |  |  | `[inline]`

ClockFlags& Gst::operator&= | ( | ClockFlags & | lhs,
|  | ClockFlags | rhs |
| ) |  |  | `[inline]`

PadFlags& Gst::operator&= | ( | PadFlags & | lhs,
|  | PadFlags | rhs |
| ) |  |  | `[inline]`

EventTypeFlags& Gst::operator&= | ( | EventTypeFlags & | lhs,
|  | EventTypeFlags | rhs |
| ) |  |  | `[inline]`

PadTemplateFlags& Gst::operator&= | ( | PadTemplateFlags & | lhs,
|  | PadTemplateFlags | rhs |
| ) |  |  | `[inline]`

BufferFlag& Gst::operator&= | ( | BufferFlag & | lhs,
|  | BufferFlag | rhs |
| ) |  |  | `[inline]`

PluginDependencyFlags& Gst::operator&= | ( | PluginDependencyFlags & | lhs,
|  | PluginDependencyFlags | rhs |
| ) |  |  | `[inline]`

AssocFlags& Gst::operator&= | ( | AssocFlags & | lhs,
|  | AssocFlags | rhs |
| ) |  |  | `[inline]`

TunerChannelFlags& Gst::operator&= | ( | TunerChannelFlags & | lhs,
|  | TunerChannelFlags | rhs |
| ) |  |  | `[inline]`

PlayFlags Gst::operator^ | ( | PlayFlags | lhs,
|  | PlayFlags | rhs |
| ) |  |  | `[inline]`

IndexFlags Gst::operator^ | ( | IndexFlags | lhs,
|  | IndexFlags | rhs |
| ) |  |  | `[inline]`

TextOverlayLineAlign Gst::operator^ | ( | TextOverlayLineAlign | lhs,
|  | TextOverlayLineAlign | rhs |
| ) |  |  | `[inline]`

BusFlags Gst::operator^ | ( | BusFlags | lhs,
|  | BusFlags | rhs |
| ) |  |  | `[inline]`

TextRenderLineAlign Gst::operator^ | ( | TextRenderLineAlign | lhs,
|  | TextRenderLineAlign | rhs |
| ) |  |  | `[inline]`

MessageType Gst::operator^ | ( | MessageType | lhs,
|  | MessageType | rhs |
| ) |  |  | `[inline]`

MiniObjectFlags Gst::operator^ | ( | MiniObjectFlags | lhs,
|  | MiniObjectFlags | rhs |
| ) |  |  | `[inline]`

MixerFlags Gst::operator^ | ( | MixerFlags | lhs,
|  | MixerFlags | rhs |
| ) |  |  | `[inline]`

BufferCopyFlags Gst::operator^ | ( | BufferCopyFlags | lhs,
|  | BufferCopyFlags | rhs |
| ) |  |  | `[inline]`

MixerTrackFlags Gst::operator^ | ( | MixerTrackFlags | lhs,
|  | MixerTrackFlags | rhs |
| ) |  |  | `[inline]`

SeekFlags Gst::operator^ | ( | SeekFlags | lhs,
|  | SeekFlags | rhs |
| ) |  |  | `[inline]`

ObjectFlags Gst::operator^ | ( | ObjectFlags | lhs,
|  | ObjectFlags | rhs |
| ) |  |  | `[inline]`

ClockFlags Gst::operator^ | ( | ClockFlags | lhs,
|  | ClockFlags | rhs |
| ) |  |  | `[inline]`

PadFlags Gst::operator^ | ( | PadFlags | lhs,
|  | PadFlags | rhs |
| ) |  |  | `[inline]`

EventTypeFlags Gst::operator^ | ( | EventTypeFlags | lhs,
|  | EventTypeFlags | rhs |
| ) |  |  | `[inline]`

PadTemplateFlags Gst::operator^ | ( | PadTemplateFlags | lhs,
|  | PadTemplateFlags | rhs |
| ) |  |  | `[inline]`

BufferFlag Gst::operator^ | ( | BufferFlag | lhs,
|  | BufferFlag | rhs |
| ) |  |  | `[inline]`

PluginDependencyFlags Gst::operator^ | ( | PluginDependencyFlags | lhs,
|  | PluginDependencyFlags | rhs |
| ) |  |  | `[inline]`

AssocFlags Gst::operator^ | ( | AssocFlags | lhs,
|  | AssocFlags | rhs |
| ) |  |  | `[inline]`

TunerChannelFlags Gst::operator^ | ( | TunerChannelFlags | lhs,
|  | TunerChannelFlags | rhs |
| ) |  |  | `[inline]`

ElementFlags Gst::operator^ | ( | ElementFlags | lhs,
|  | ElementFlags | rhs |
| ) |  |  | `[inline]`

TextOverlayLineAlign& Gst::operator^= | ( | TextOverlayLineAlign & | lhs,
|  | TextOverlayLineAlign | rhs |
| ) |  |  | `[inline]`

TunerChannelFlags& Gst::operator^= | ( | TunerChannelFlags & | lhs,
|  | TunerChannelFlags | rhs |
| ) |  |  | `[inline]`

PlayFlags& Gst::operator^= | ( | PlayFlags & | lhs,
|  | PlayFlags | rhs |
| ) |  |  | `[inline]`

TextRenderLineAlign& Gst::operator^= | ( | TextRenderLineAlign & | lhs,
|  | TextRenderLineAlign | rhs |
| ) |  |  | `[inline]`

IndexFlags& Gst::operator^= | ( | IndexFlags & | lhs,
|  | IndexFlags | rhs |
| ) |  |  | `[inline]`

ElementFlags& Gst::operator^= | ( | ElementFlags & | lhs,
|  | ElementFlags | rhs |
| ) |  |  | `[inline]`

BufferFlag& Gst::operator^= | ( | BufferFlag & | lhs,
|  | BufferFlag | rhs |
| ) |  |  | `[inline]`

MessageType& Gst::operator^= | ( | MessageType & | lhs,
|  | MessageType | rhs |
| ) |  |  | `[inline]`

PluginDependencyFlags& Gst::operator^= | ( | PluginDependencyFlags & | lhs,
|  | PluginDependencyFlags | rhs |
| ) |  |  | `[inline]`

MiniObjectFlags& Gst::operator^= | ( | MiniObjectFlags & | lhs,
|  | MiniObjectFlags | rhs |
| ) |  |  | `[inline]`

MixerFlags& Gst::operator^= | ( | MixerFlags & | lhs,
|  | MixerFlags | rhs |
| ) |  |  | `[inline]`

BusFlags& Gst::operator^= | ( | BusFlags & | lhs,
|  | BusFlags | rhs |
| ) |  |  | `[inline]`

MixerTrackFlags& Gst::operator^= | ( | MixerTrackFlags & | lhs,
|  | MixerTrackFlags | rhs |
| ) |  |  | `[inline]`

SeekFlags& Gst::operator^= | ( | SeekFlags & | lhs,
|  | SeekFlags | rhs |
| ) |  |  | `[inline]`

ObjectFlags& Gst::operator^= | ( | ObjectFlags & | lhs,
|  | ObjectFlags | rhs |
| ) |  |  | `[inline]`

PadTemplateFlags& Gst::operator^= | ( | PadTemplateFlags & | lhs,
|  | PadTemplateFlags | rhs |
| ) |  |  | `[inline]`

PadFlags& Gst::operator^= | ( | PadFlags & | lhs,
|  | PadFlags | rhs |
| ) |  |  | `[inline]`

EventTypeFlags& Gst::operator^= | ( | EventTypeFlags & | lhs,
|  | EventTypeFlags | rhs |
| ) |  |  | `[inline]`

ClockFlags& Gst::operator^= | ( | ClockFlags & | lhs,
|  | ClockFlags | rhs |
| ) |  |  | `[inline]`

BufferCopyFlags& Gst::operator^= | ( | BufferCopyFlags & | lhs,
|  | BufferCopyFlags | rhs |
| ) |  |  | `[inline]`

AssocFlags& Gst::operator^= | ( | AssocFlags & | lhs,
|  | AssocFlags | rhs |
| ) |  |  | `[inline]`

BufferCopyFlags Gst::operator| | ( | BufferCopyFlags | lhs,
|  | BufferCopyFlags | rhs |
| ) |  |  | `[inline]`

IndexFlags Gst::operator| | ( | IndexFlags | lhs,
|  | IndexFlags | rhs |
| ) |  |  | `[inline]`

PlayFlags Gst::operator| | ( | PlayFlags | lhs,
|  | PlayFlags | rhs |
| ) |  |  | `[inline]`

TextOverlayLineAlign Gst::operator| | ( | TextOverlayLineAlign | lhs,
|  | TextOverlayLineAlign | rhs |
| ) |  |  | `[inline]`

TextRenderLineAlign Gst::operator| | ( | TextRenderLineAlign | lhs,
|  | TextRenderLineAlign | rhs |
| ) |  |  | `[inline]`

MiniObjectFlags Gst::operator| | ( | MiniObjectFlags | lhs,
|  | MiniObjectFlags | rhs |
| ) |  |  | `[inline]`

MessageType Gst::operator| | ( | MessageType | lhs,
|  | MessageType | rhs |
| ) |  |  | `[inline]`

MixerFlags Gst::operator| | ( | MixerFlags | lhs,
|  | MixerFlags | rhs |
| ) |  |  | `[inline]`

BufferFlag Gst::operator| | ( | BufferFlag | lhs,
|  | BufferFlag | rhs |
| ) |  |  | `[inline]`

MixerTrackFlags Gst::operator| | ( | MixerTrackFlags | lhs,
|  | MixerTrackFlags | rhs |
| ) |  |  | `[inline]`

TunerChannelFlags Gst::operator| | ( | TunerChannelFlags | lhs,
|  | TunerChannelFlags | rhs |
| ) |  |  | `[inline]`

ClockFlags Gst::operator| | ( | ClockFlags | lhs,
|  | ClockFlags | rhs |
| ) |  |  | `[inline]`

ObjectFlags Gst::operator| | ( | ObjectFlags | lhs,
|  | ObjectFlags | rhs |
| ) |  |  | `[inline]`

PadFlags Gst::operator| | ( | PadFlags | lhs,
|  | PadFlags | rhs |
| ) |  |  | `[inline]`

SeekFlags Gst::operator| | ( | SeekFlags | lhs,
|  | SeekFlags | rhs |
| ) |  |  | `[inline]`

EventTypeFlags Gst::operator| | ( | EventTypeFlags | lhs,
|  | EventTypeFlags | rhs |
| ) |  |  | `[inline]`

PluginDependencyFlags Gst::operator| | ( | PluginDependencyFlags | lhs,
|  | PluginDependencyFlags | rhs |
| ) |  |  | `[inline]`

PadTemplateFlags Gst::operator| | ( | PadTemplateFlags | lhs,
|  | PadTemplateFlags | rhs |
| ) |  |  | `[inline]`

AssocFlags Gst::operator| | ( | AssocFlags | lhs,
|  | AssocFlags | rhs |
| ) |  |  | `[inline]`

ElementFlags Gst::operator| | ( | ElementFlags | lhs,
|  | ElementFlags | rhs |
| ) |  |  | `[inline]`

BusFlags Gst::operator| | ( | BusFlags | lhs,
|  | BusFlags | rhs |
| ) |  |  | `[inline]`

BufferFlag& Gst::operator|= | ( | BufferFlag & | lhs,
|  | BufferFlag | rhs |
| ) |  |  | `[inline]`

ElementFlags& Gst::operator|= | ( | ElementFlags & | lhs,
|  | ElementFlags | rhs |
| ) |  |  | `[inline]`

ClockFlags& Gst::operator|= | ( | ClockFlags & | lhs,
|  | ClockFlags | rhs |
| ) |  |  | `[inline]`

IndexFlags& Gst::operator|= | ( | IndexFlags & | lhs,
|  | IndexFlags | rhs |
| ) |  |  | `[inline]`

TunerChannelFlags& Gst::operator|= | ( | TunerChannelFlags & | lhs,
|  | TunerChannelFlags | rhs |
| ) |  |  | `[inline]`

TextRenderLineAlign& Gst::operator|= | ( | TextRenderLineAlign & | lhs,
|  | TextRenderLineAlign | rhs |
| ) |  |  | `[inline]`

MessageType& Gst::operator|= | ( | MessageType & | lhs,
|  | MessageType | rhs |
| ) |  |  | `[inline]`

BusFlags& Gst::operator|= | ( | BusFlags & | lhs,
|  | BusFlags | rhs |
| ) |  |  | `[inline]`

MiniObjectFlags& Gst::operator|= | ( | MiniObjectFlags & | lhs,
|  | MiniObjectFlags | rhs |
| ) |  |  | `[inline]`

MixerFlags& Gst::operator|= | ( | MixerFlags & | lhs,
|  | MixerFlags | rhs |
| ) |  |  | `[inline]`

PadFlags& Gst::operator|= | ( | PadFlags & | lhs,
|  | PadFlags | rhs |
| ) |  |  | `[inline]`

PluginDependencyFlags& Gst::operator|= | ( | PluginDependencyFlags & | lhs,
|  | PluginDependencyFlags | rhs |
| ) |  |  | `[inline]`

PadTemplateFlags& Gst::operator|= | ( | PadTemplateFlags & | lhs,
|  | PadTemplateFlags | rhs |
| ) |  |  | `[inline]`

MixerTrackFlags& Gst::operator|= | ( | MixerTrackFlags & | lhs,
|  | MixerTrackFlags | rhs |
| ) |  |  | `[inline]`

EventTypeFlags& Gst::operator|= | ( | EventTypeFlags & | lhs,
|  | EventTypeFlags | rhs |
| ) |  |  | `[inline]`

SeekFlags& Gst::operator|= | ( | SeekFlags & | lhs,
|  | SeekFlags | rhs |
| ) |  |  | `[inline]`

TextOverlayLineAlign& Gst::operator|= | ( | TextOverlayLineAlign & | lhs,
|  | TextOverlayLineAlign | rhs |
| ) |  |  | `[inline]`

ObjectFlags& Gst::operator|= | ( | ObjectFlags & | lhs,
|  | ObjectFlags | rhs |
| ) |  |  | `[inline]`

BufferCopyFlags& Gst::operator|= | ( | BufferCopyFlags & | lhs,
|  | BufferCopyFlags | rhs |
| ) |  |  | `[inline]`

PlayFlags& Gst::operator|= | ( | PlayFlags & | lhs,
|  | PlayFlags | rhs |
| ) |  |  | `[inline]`

AssocFlags& Gst::operator|= | ( | AssocFlags & | lhs,
|  | AssocFlags | rhs |
| ) |  |  | `[inline]`

TunerChannelFlags Gst::operator~ | ( | TunerChannelFlags | flags | ) | `[inline]`

MixerTrackFlags Gst::operator~ | ( | MixerTrackFlags | flags | ) | `[inline]`

PluginDependencyFlags Gst::operator~ | ( | PluginDependencyFlags | flags | ) | `[inline]`

BufferFlag Gst::operator~ | ( | BufferFlag | flags | ) | `[inline]`

PlayFlags Gst::operator~ | ( | PlayFlags | flags | ) | `[inline]`

MessageType Gst::operator~ | ( | MessageType | flags | ) | `[inline]`

SeekFlags Gst::operator~ | ( | SeekFlags | flags | ) | `[inline]`

IndexFlags Gst::operator~ | ( | IndexFlags | flags | ) | `[inline]`

ElementFlags Gst::operator~ | ( | ElementFlags | flags | ) | `[inline]`

PadFlags Gst::operator~ | ( | PadFlags | flags | ) | `[inline]`

TextRenderLineAlign Gst::operator~ | ( | TextRenderLineAlign | flags | ) | `[inline]`

BufferCopyFlags Gst::operator~ | ( | BufferCopyFlags | flags | ) | `[inline]`

MiniObjectFlags Gst::operator~ | ( | MiniObjectFlags | flags | ) | `[inline]`

PadTemplateFlags Gst::operator~ | ( | PadTemplateFlags | flags | ) | `[inline]`

TextOverlayLineAlign Gst::operator~ | ( | TextOverlayLineAlign | flags | ) | `[inline]`

EventTypeFlags Gst::operator~ | ( | EventTypeFlags | flags | ) | `[inline]`

AssocFlags Gst::operator~ | ( | AssocFlags | flags | ) | `[inline]`

BusFlags Gst::operator~ | ( | BusFlags | flags | ) | `[inline]`

MixerFlags Gst::operator~ | ( | MixerFlags | flags | ) | `[inline]`

ClockFlags Gst::operator~ | ( | ClockFlags | flags | ) | `[inline]`

ObjectFlags Gst::operator~ | ( | ObjectFlags | flags | ) | `[inline]`